;	===============================================================
;	DEVU.CPY - DC Use Structure (manage tools in DC's)
;	===============================================================

;	Copyright 1995 Evolution Computing
;	All rights reserved
;	Written by Mike Riddle 4-3-95

;	---------------------------------------------------------------

;	Values for DevU.flags

DevU_Untool		equ	0001h	;DevUsePrior releases tools
DevU_ReleaseDC		equ	0002h	;DevUsePrior releases DC
DevU_PalValid		equ	0004h	;hDC palette currently valid

DevU_ValidPen		equ	0010h	;pen avail in hDC
DevU_DelPen		equ	0020h	;DevUntool deletes pen
DevU_ValidBrush		equ	0100h	;brush avail in hDC
DevU_DelBrush		equ	0200h	;DevUntool deletes brush

DevU_XOR		equ	0400h	;now doing XOR mode

DevU_HaveCaps		equ	080000000h	;already have DevCaps data
DevU_Print		equ	040000000h	;is a printer DC
DevU_BM			equ	020000000h	;is a bitmap DC
DevU_MF			equ	010000000h	;is an enhanced metafile DC
DevU_DWIN		equ	008000000h	;is a DWIN

;	Types of brush/pen

T_NONE			equ	0
T_SOLID			equ	1
T_STY			equ	2

;	Device-Use structure (DC & Tools management)

DevU		Struc
flags		dword	0		;current need/valid flags
SavePtr		dword	0		;DevUsePrior copy back adr (0=none)
hDC		dword	NULL		;handle of device context
hWin		dword	NULL		;handle of window owning DC
RCaps		dword	NULL		;RASTERCAPS flags
XPI		dword	1		;X pixels/inch
YPI		dword	1		;Y pixels/inch
SqPix		dword	1		;square pixels
XTotal		dword	1		;X total pixels
YTotal		dword	1		;Y total pixels
PScale		real4	1.0		;paper scale correction

ColorIdx	dword	-1		;current tools color index
ColorRef	dword	00FFFFFFh	;COLORREF data to use
BkColorIdx	dword	-1		;background color index
BkColorRef	dword	0h		;background COLORREF data to use
NColors		dword	256		;max # colors for hDC
;
Color2Idx	dword	-1		;2nd entity color index
;
hPal		dword	NULL		;handle of palette
hOldPal		dword	NULL		;handle of old palette
;
hPen		dword	NULL		;handle of pen
PenWidth	dword	NULL		;width of current pen
hOldPen		dword	NULL		;handle of old pen
rePen		dword	NULL		;proc to recreate pen (new color etc.)
tPen		dword	T_NONE		;type of pen
PThick		dword	0		;pen thickness 0->2.54 mm (0..254)
;
hBrush		dword	NULL		;handle of brush
hOldBrush	dword	NULL		;handle of old brush
reBrush		dword	NULL		;proc to recreate brush (new color etc.
tBrush		dword	T_NONE		;type of brush
;
EndProc		dword	0		;proc called when being DevUsePrior'd
DevU		ends
