;	===============================================================
;	DLMGR.CPY - Drawing list & scan management
;	===============================================================
;	Copyright 1998 Evolution Computing
;	All rights reserved
;	Written by Mike Riddle 4-6-98
;	===============================================================

DLCreate	proto	stdcall,pLFName:dword,DLFlags:dword
DLDestroy	proto	stdcall,hDList:dword
DLDestroyOV	proto	stdcall
DLDestroyXR	proto	stdcall

DLTransfer	proto	stdcall,hDLTemp:dword,pRecd:dword,BorA:dword
DLT_BEFORE	equ	1
DLT_AFTER	equ	0

;	for the following calls, hDList = NULL means the
;	current working DList (the one that gets new entities).

DLLocateIB	proto	stdcall,hDList:dword
DLGetIBAdr	proto	stdcall,hDList:dword,IBId:dword
DLSetIBAdr	proto	stdcall,hDList:dword,IBId:dword,pNewIB:dword

DLLoad		proto	stdcall,pFileName:dword,DLFlags:dword
DLSave		proto	stdcall,hDList:dword,pFileName:dword
DLSaveAll	proto	stdcall

DLRename	proto	stdcall,hDList:dword,pLFName:dword
DLEmpty		proto	stdcall,hDList:dword
DLGetFirst	proto	stdcall,hDList:dword
DLGetBack	proto	stdcall,hDList:dword
DLGetLast	proto	stdcall,hDList:dword
DLPack		proto	stdcall,hDList:dword

DLSetFence	proto	stdcall,hDList:dword
DLClearFence	proto	stdcall,hDList:dword
DLDelThis	proto	stdcall
DLAskNest	proto	stdcall

DLMove		proto	stdcall,pMove:dword,pAfter:dword
DLMoveB		proto	stdcall,pMove:dword,pBefore:dword

;	DLGetNext returns a pointer only valid for use with
;	the DLMoveB function. Do NOT use this for a scan!

DLGetNext	proto	stdcall,pEntRec:dword

DLApnd		proto	stdcall,hDList:dword,pEntRec:dword
DLApndM		proto	stdcall,hDList:dword,pEntRec:dword
DLApndE		proto	stdcall,hDList:dword,EntType:dword,EntSize:dword
DLCopy		proto	stdcall,hDList:dword,pEntRec:dword
DLCopyM		proto	stdcall,hDList:dword,pEntRec:dword

DLReplace	proto	stdcall,pEntRec:dword,pNewRec:dword
DLResize	proto	stdcall,pEntRec:dword,EntSize:dword
DLDelete	proto	stdcall,pEntRec:dword
DLDup		proto	stdcall,pEntRec:dword
DLClone		proto	stdcall,pEntRec:dword

DLErase		proto	stdcall,pEntRec:dword
DLUnErase	proto	stdcall,pEntRec:dword
DLAskErased	proto	stdcall,pEntRec:dword
DLSelect	proto	stdcall,pEntRec:dword
DLUnSelect	proto	stdcall,pEntRec:dword
DLAskSelected	proto	stdcall,pEntRec:dword
DLDelaySelect	proto	stdcall,pEntRec:dword
DLPostDelayed	proto	stdcall,pEntRec:dword

DLGetSubList	proto	stdcall,pEntRec:dword
DLMakeSubList	proto	stdcall,pEntRec:dword
DLAskEmptySL	proto	stdcall,pEntRec:dword

DLGetDList	proto	stdcall,pEntRec:dword

DLSetWorkDL	proto	stdcall,hDList:dword
DLGetWorkDL	proto	stdcall

MarkUndo	proto	stdcall
MarkUndoAdd	proto	stdcall
CancelUndo	proto	stdcall

;	for the following call, hDList = NULL means scan
;	All DL_OVL DLists as a single operation.

DLScan		proto	stdcall,hDList:dword,pEntProc:dword,\
			DSFlags:dword,parm1:dword,parm2:dword

;	---------------------------------------------------------------
;	Values that can be specified for DLFlags:
;	---------------------------------------------------------------

DL_OVL		equ	1	;list shares common coordinate space
;				;(all DLists with DL_OVL set will
;				; be drawn in all common-view windows
;				; in an overlaid coordinate space.)

DL_STD		equ	DL_OVL	;default standard drawing list

DL_RO		equ	2	;list is read-only - no changes can
;				;be made - it is visible for reference
;				;only. (RD_PickRef will pick, but
;				; RD_Pick & RD_Pick1 will not).

DL_Sep		equ	4	;separate DList - not an overlay

DL_Private	equ	8	;private - not vis in DWGCTL dialog
;				;SAVEALL will not save this

DL_HasWin	equ	10h	;has a separate DWIN active

DL_Head		equ	80h	;all DLists have this flag set
;				;to enable finding the DList
;				;from the record pointer. No
;				;ECTL.Flags word ever has it set.
DL_SubL		equ	40h	;this DList is a sublist of an entity

DL_XREF		equ	20h	;List is an XREF

DL_NASave	equ	100h	;this DLIST not valid for autosave
DL_EDSYMDEF	equ	200h	;this DLIST is an EDSYMDEF DLIST

;	---------------------------------------------------------------
;	Values that can be specified for DSFlags:
;	---------------------------------------------------------------

DLS_Sel		equ	10000h		;only selected entities
DLS_NotSel	equ	20000h		;only unselected entities
DLS_RO		equ	40000h		;allow read-only entities
DLS_All		equ	80000h		;all entities, even erased
DLS_SL		equ	01000h		;also ents in sublists
;					;after owner entity
;					;take precedince over unlock
DLS_UNLK	equ	02000h		;force unlock for this scan
;					;no group hdr, just its ents
DLS_NOUNLK	equ	04000h		;ignore unlock for this scan
DLS_Fence	equ	08000h		;test fence to end scan
DLS_OVL		equ	00100h		;force overlay scan for NULL
;					;hDList even if current work is
;					;a separate file window.
DLS_NOWDC	equ	00200h		;no work dwg change during scan
DLS_SHEETS	equ	00400h		;see sheets instead of scan their SL
DLS_HSHTOK	equ	00800h		;hidden sheets ok - proc them

DLS_Edit	equ	DLS_Std+DLS_Sel	;entities to edit
DLS_Info	equ	DLS_Edit+DLS_RO	;entities to list
DLS_Std		equ	0		;standard all non-erased ents
DLS_StdN	equ	DLS_Std+DLS_NOWDC

