;	===============================================================
;	DSTYLES.CPY - OLD Dimension Style Data Structures & Macros
;	********* these structures we used in versions <5.05. *********
;	===============================================================

;	Copyright 1996 Evolution Computing
;	All rights reserved
;	Written by Susan Montooth 6/96

;	===============================================================
;	DSTYIB: Dimension Styles Information block header
;	===============================================================

CurDSTYIBVer	equ	2		;current version #

DSTYIB		struc
ERLen		dword	SIZEOF (DSTYIB)	;std info block header
EType		byte	ET_IB		;EType = Info Block
IType		byte	IB_DSTYLE	;IB type = Dimension Styles
Creator		word	0		;XPID (0=core)
AllocLen	dword	0		;allocation length (0=ERLen)
;
IBVer		word	CurDSTYIBVer	;DSTYIB version id
NextID		word	256		;next ID to use
;
;			;dimension style instance data starts here
;			;A record length of 0 ends the list
DSTYIB		ends

;	===============================================================
;	Individual DSTYLE style definitions
;	===============================================================

;	DStyle.Flags word:

DS_RDIN	equ	10h		;force inside arrows on radial dimensions
DS_RDCM	equ	20h		;center mark for radial dimensions

;	DStyle.DTFlags byte:

DT_CEN	equ	00h		;text centered in dimension line
DT_OVR	equ	01h		;text over dimension line/arc
DT_UND	equ	02h		;text under dimension line/arc
DT_ALI	equ	10h		;dimension text aligned


DStyle	struc
RLen	dword	Sizeof(DStyle)	;record length
ID	dw	0		;Dimension style ID
DSName	db	32 dup (0)	;Dimension style name (ASCIIZ)
Flags	dw	DS_RDIN		;general dimension style flags
DTFlags	db	0		;bit 0 1=aligned, 0=horizontal
DTDecP	db	3		;number of decimal places (0 to 9)
DTFont	dw	0		;dimension text font ID
DTPfx	db	40 dup (0)	;dimension text prefix
DTSfx	db	40 dup (0)	;dimension text suffix
DTHgt	REAL4	0.250		;dimension text height
LdrExt	REAL4	0.18		;leader extends beyond dimension line
LdrOfs	REAL4	0.0625		;leader offset from geometry
ALen	REAL4	0.18		;arrowhead size
AHgt	REAL4	0.08
AStyle	dw	0		;arrowhead style
DStyle	ends

;	Convenience macro for defining style in static RAM

DStyleM	MACRO	ID,Flg,TFlg,Nm,DecP,Fnt,Hgt,Ext,Ofs,ALn,AHt,ANr,Pfx,Sfx
	local	NStart,NEnd,PStart,PEnd,SStart,SEnd
	dword	sizeof(DStyle)
	dw	ID
NStart	label	byte
	db	Nm,0
NEnd	label	byte
	db	32-(NEnd-NStart) dup (0)
	dw	Flg
	db	TFlg
	db	DecP
	dw	Fnt
PStart	label	byte
	db	Pfx,0
PEnd	label	byte
	db	40-(PEnd-PStart) dup (0)
SStart	label	byte
	db	Sfx,0
SEnd	label	byte
	db	40-(SEnd-SStart) dup (0)
	REAL4	Hgt
	REAL4	Ext
	REAL4	Ofs
	REAL4	ALn
	REAL4	AHt
	dw	ANr
	ENDM

