;	===============================================================
;	EStrucO.CPY - Obsolete Old Entity Record Structures
;	===============================================================
;	Copyright 1995 Evolution Computing
;	All rights reserved

;	---------------------------------------------------------------
;	Etype 12: DimL2 - OLD linear dimension entity (obsolete)
;	(used in versions before 5.05)
;	---------------------------------------------------------------
;	FCW version 5.05 added LWidth and Tag fields to all geometric
;	entities. These structures have these fields here because the
;	convert-on-load function adds them. They did not exist in the
;	version <= 5.04 database. These structures are used by the
;	converter.
;	---------------------------------------------------------------

ET_DimL2	equ	12		;entity type code
C_DimL2		equ	C_PNT+C_ANN
H_DimL2		equ	0

DimL2		struc
ERLen		dword	sizeof(DimL2)	;entity record length
EType		byte	ET_DimL2	;entity type code
EFlags		byte	0		;erase/select bits
EColor		byte	1		;entity color
WPlane		byte	0		;workplane (0 = XY plane)
ELayer		word	1		;layer
ELStyle		word	0		;line style (0=solid)
GroupID		word	0		;group id (0 = not grouped)
EFStyle		word	0		;fill style (0=hollow)
LWidth		real4	0.0		;line width
Tag		dword	0		;entity tag id
;
DStyle		word	0		;dimension style
Flags		word	D_L1+D_L2	;see below
Dist		REAL4	0.0		;actual measured distance
X1		REAL4	0.0		;dimension point 1 (geo end 1)
Y1		REAL4	0.0
X2		REAL4	0.0		;dimension point 2 (geo end 2)
Y2		REAL4	0.0
X3		REAL4	0.0		;dimension point 3 (arw pt 1)
Y3		REAL4	0.0
X4		REAL4	0.0		;dimension point 4 (arw pt 2)
Y4		REAL4	0.0
TPosX		REAL4	0.0		;text position (ignored unless 
					;D_UTP set)
TPosY		REAL4	0.0
TAng		REAL4	0.0		;text angle (ignored unless 
					;D_UTA set)	
TValue		REAL4	0.0		;display value or scale factor
					;(ignored unless D_UTV or D_UTS)
DimL2		ends

;	Dimension flag word

D_L1	equ	01h		;leader flags (0=none, 1=draw only #1...
D_L2	equ	02h		;2=draw only #2, 3=draw both)
D_PRL	equ	04h		;set if parallel, else horz/vert
D_UTP	equ	100h		;set for user text position
D_UTA	equ	200h		;set for user text angle
D_UTS	equ	400h		;set for user scale factor
D_UTV	equ	800h		;set for user value override

;	---------------------------------------------------------------
;	Etype 26: DimA2 - angular dimension entity (obsolete)
;	(used in versions before 5.04)
;	---------------------------------------------------------------

ET_DimA2	equ	26		;entity type code
C_DimA2		equ	C_PNT+C_ANN
H_DimA2		equ	0
	
DimA2		struc
ERLen		dword	sizeof(DimA2)	;entity record length
EType		byte	ET_DimA2	;entity type code
EFlags		byte	0		;erase/select bits
EColor		byte	1		;entity color
WPlane		byte	0		;workplane (0 = XY plane)
ELayer		word	1		;layer
ELStyle		word	0		;line style (0=solid)
GroupID		word	0		;group id (0 = not grouped)
EFStyle		word	0		;fill style (0=hollow)
LWidth		real4	0.0		;line width
Tag		dword	0		;entity tag id
;
DStyle		word	0		;dimension style
Flags		word	D_L1+D_L2	;see DimL2 (etype 12)
CenX		REAL4	0.0		;arc center
CenY		REAL4	0.0
Radius		REAL4	0.0		;arc radius
SAng		REAL4	0.0		;start angle, radians
AngW		REAL4	0.0		;arc width
L1Rad		REAL4	0.0		;distance to leader 1 (from center)
L2Rad		REAL4	0.0		;distance to leader 2
TPosX		REAL4	0.0		;text position (ignored unless D_UTP set)
TPosY		REAL4	0.0
TAng		REAL4	0.0		;text angle (ignored unless D_UTA set)	
TValue		REAL4	0.0		;display value or scale factor
					;(ignored unless D_UTV or D_UTS)
DimA2		ends

;	---------------------------------------------------------------
;	Etype 27: DimC2 - Circular dimension entity (obsolete) 
;	(used in versions before 5.04)
;	---------------------------------------------------------------

ET_DimC2	equ	27		;entity type code
C_DimC2		equ	C_PNT+C_ANN
H_DimC2		equ	0

DimC2		struc
ERLen		dword	sizeof(DimC2)	;entity record length
EType		byte	ET_DimC2	;entity type code
EFlags		byte	0		;erase/select bits
EColor		byte	1		;entity color
WPlane		byte	0		;workplane (0 = XY plane)
ELayer		word	1		;layer
ELStyle		word	0		;line style (0=solid)
GroupID		word	0		;group id (0 = not grouped)
EFStyle		word	0		;fill style (0=hollow)
LWidth		real4	0.0		;line width
Tag		dword	0		;entity tag id
;
DStyle		word	0		;dimension style
Flags		word	D_L1		;see DimL2 and below
CenX		REAL4	0.0		;center
CenY		REAL4	0.0
Radius		REAL4	0.0		;radius
LdrAng		REAL4	0.0		;leader angle, radians
LdrLen		REAL4	0.0		;leader length (outside of conic)
TPosX		REAL4	0.0		;text position (ignored unless D_UTP set)
TPosY		REAL4	0.0
TAng		REAL4	0.0		;text angle (ignored unless D_UTA set)	
TValue		REAL4	0.0		;display value or scale factor
					;(ignored unless D_UTV or D_UTS)
DimC2	ends

;	Dimension flag word

D_L1	equ	01h		;leader flags, 0=inside, 1=outside ldr
D_PRL	equ	04h		;set if parallel, else horz/vert
D_DIA	equ	10h		;diameter
D_UTP	equ	100h		;set for user text position
D_UTA	equ	200h		;set for user text angle
D_UTS	equ	400h		;set for user scale factor
D_UTV	equ	800h		;set for user value override

;	---------------------------------------------------------------
;	Etype 31: DimO2 - ordinate dimension entity 
;	---------------------------------------------------------------

ET_DimO2	equ	31		;entity type code
C_DimO2		equ	C_PNT+C_ANN
H_DimO2		equ	0
	
DimO2		struc
ERLen		dword	sizeof(DimO2)	;entity record length
EType		byte	ET_DimO2	;entity type code
EFlags		byte	0		;erase/select bits
EColor		byte	1		;entity color
WPlane		byte	0		;workplane (0 = XY plane)
ELayer		word	1		;layer
ELStyle		word	0		;line style (0=solid)
GroupID		word	0		;group id (0 = not grouped)
EFStyle		word	0		;fill style (0=hollow)
LWidth		real4	0.0		;line width
Tag		dword	0		;entity tag id
;
DStyle		word	0		;dimension style
Flags		word	0		;see below, baseline angle
;					; encoded in flags
nrldrs		word	0		;# leader lines
;
odbsx		real4	0.0		;baseline origin
odbsy		real4	0.0
odorgl		real4	0.0		;distance to geometry origin
;
;	For each leader, there is a set of two values:
;
odispx		real4	0.0		;distance from odbsx,odbsy
odispy		real4	0.0		;leader length
;
DimO2		ends

;	Flags word values for ordinate dimensions

D_vbase		equ	0		;0=vertical baseline
D_hbase		equ	1		;1=horizontal baseline
D_ndelta	equ	2		;2=negative At-Org delta

