;	===============================================================
;	GLOBALV.CPY - VW32 Global Equates
;	===============================================================
;
;	Copyright 1998 Evolution Computing
;	All rights reserved
;	Written by Mike Riddle 12-19-98
;
;	This module selects product and processor conditional assembly
;	equates and is included as the first non-comment line in all
;	program modules.  Product-specific versions of this file are
;	copied to GLOBAL.CPY for assembly.
;	Note that it always includes WIN32.INC as the very first
;	non-comment code in each module.

	include	\fcw6\WINENV\WINENV.CPY
	include	FEATURES.CPY
	include	RSCID.CPY
	include	LLIST.CPY
	include	BFRIO.CPY
	include	FORMST.CPY
	include	PACKETS.CPY
	include GEOMETRY.CPY
	include	MATDEF.CPY
	include	ESTRUC.CPY
	include	ESTRUCO.CPY
	include	IBMGR.CPY
	include	RECLIST.CPY
	include	RDATA.CPY
	include	DIALOG.CPY
	include	TXWIN.CPY
	include	HELP.CPY
	include	GRIDS.CPY
	include	DEVU.CPY
	include	DWIN.CPY
	include	SVIB.CPY
	include	NVIEW.CPY
	include	XPDEF.CPY
	include	MESSAGES.CPY
	include	XPMSG.CPY
	include	LSTYLES.CPY
	include	FSTYLES.CPY
	include	TIPTOOL.CPY
	include	TOOLS.CPY
	include	COLORS.CPY
	include	DSTYLESO.CPY
	include	DSTYLES2.CPY
	include	LAYERS.CPY
	include	OPFLAGS.CPY
	include	FONTS.CPY
	include TIMERS.CPY
	include	DLMGR.CPY

;	===============================================================
;	Version #
;	===============================================================

		include	VERNO.CPY
w95		equ	1			;1 if w95, 0 if not

BUILD_DATE	equ	<>
BUILD_DATE	CATSTR	<">, @Date, <">

BUILD_TIME	equ	<>
BUILD_TIME	CATSTR	<">, @Time, <">

	include	HEADER.CPY

;	===============================================================
;	Product Specification
;	---------------------------------------------------------------
;
YES	equ	1
NO	equ	0

DEBUG	equ	NO

other	equ	0	;not a standard product
ecad	equ	1	;easycad
fcad	equ	2	;fastcad 2d
fcad3	equ	4	;fastcad 3d
vw32	equ	8	;file viewer
;
;	---------------------------------------------------------------
;	Processor/Math chip specification
;	---------------------------------------------------------------
;
c86	equ	1	;8088/8086/80188/80186
c286	equ	2	;80286
c386	equ	4	;80386
c486	equ	8	;80486
c586	equ	16	;pentium
;
e87	equ	0	;8087 emulator
c87	equ	1	;8087
c287	equ	2	;80287
c387	equ	4	;80387
c487	equ	8	;80487
win87	equ	16	;windows emulator
;
;	---------------------------------------------------------------
;	Current configuration selections
;	---------------------------------------------------------------
;
product	equ	vw32	;product being assembled
cpu	equ	c386	;processor chip
cpu87	equ	c387	;math coprocessor
cmap	equ	NO	;campaign mapper (profantasy)
;
XPID		equ	0	;core XPID

UKPhoneNr	equ	<"01923 495496">
UKCompany	equ	<"FastCAD EUROPE">
PhoneNr		equ	<"1(800)-874-4028">
SPhoneNr	equ	<"1(800)-874-4028">
Company		equ	<"Evolution Computing">

features	equ	F_CANSAVE

DEBUG2CE	equ	TRUE
