;	===============================================================
;	HEADER.CPY - Header and File ID data structures
;	===============================================================

;	Copyright 1996 Evolution Computing
;	All rights reserved
;	Written by Susan Montooth 2/15/96

;	===============================================================
;	FILE ID (File identifier bytes)
;	===============================================================

DBVERSION	equ	24		;correct current database

FileID		struc
ProgID		SBYTE	'FCW (FastCAD for Windows) '	;26 bytes
VerText		SBYTE	versionStr	;version # as text (always 4 bytes)
VerTextS	SBYTE	SubVer		;beta version (always 3 bytes)
		SBYTE	'           '	;11 bytes
		SBYTE	13,10,26	;terminating chars for DOS Type cmd.
DBVer		SBYTE	DBVERSION
Compressed	SBYTE	0		;1 = compressed file
		SBYTE	78 dup (0)	;filler
		SBYTE	0FFh		;end marker (total 128 bytes)
FileID		ends

sizeFileID	equ	128		;sizeof(FileID) treats
;					;versionStr as 1 byte!

;	===============================================================
;	HEADER Information block
;	===============================================================

;	Text specifications sub-structure

TSPEC		struc
Font 		WORD	0
Hgt		REAL4	0.2
XScl	 	REAL4	1.0
Spac	 	REAL4	150.0
BAng	 	REAL4	0.0
Just		WORD	0
Flags		WORD	TS_METRICS
TSPEC		ends

;	---------------------------------------------------------------
;
HDRVERSION	equ	4		;current valid header version
;
HDR		struc
ERLen		dword	sizeof(HDR)	;actual length (bytes in use)
EType		byte	ET_IB		;entity type code (always 0)
IType		byte	IB_HDR		;info block type (FF=XP)
Creator		word	0		;XPID (0=core)
AllocLen	dword	sizeof(HDR)	;allocation length
;
HdrVersion	BYTE	HDRVERSION	;header version
DBVer		BYTE	DBVERSION	;database version

DwgFlags	WORD	DF_SHTOCV	;misc flags (frame, etc)
FStyle		WORD	0		;current fill style
Color		WORD	1		;current values for common stuff
Layer		WORD	1
LStyle		WORD	0		;current line style
WPlane		WORD	0
DStyle		WORD	0
BColor		WORD	0		;background color
GridID		WORD	0		;grid system

XLo		REAL4	0.0		;lowest x,y,z extents coordinate
YLo		REAL4	0.0
ZLo		REAL4	0.0
XHi		REAL4	10.0		;highest x,y,z extents coordinate
YHi		REAL4	7.5
ZHi		REAL4	0.0

XtValid		BYTE	0		;extents are valid
XtGrown		BYTE	0		;extents have grown (for SBUpd)
PThick		BYTE	0		;current pen thickness
AngFmt		BYTE	0		;angle display format:
;					; bit 4 set ANGW is dms
;					; bit 2 set BRNG is surveyors
;					; bit 1 set BRNG is dms
;					; else decimal degrees

UnitV		REAL4	1.0		;inches per drawing unit
DistFmt		BYTE	0		;distance format
DecP		BYTE	5		;decimal places
FRnd		BYTE	4		;fractions to nearest (power of 2)
ReservedF	BYTE	0		;Reserved
TrackType	WORD	0		;tracking flags

TSpec		TSPEC	<>		;22 byte text specifications
LastGroupID	WORD	0		;last group ID # used

ArwStyle	word	0		;entity ends arrow style
ArwLen		real4	0.18		;entity ends arrow length
ArwHgt		real4	0.08		;entity ends arrow height
CurWidth	real4	0.0		;current width
LastTag		dword	0		;last entity tag id used
WallWidth	real4	6.0		;wall width
WallLimit	real4	3.0		;wall trap limit
ReservedV	dword	0,0		;reserved use
ReservedA	db	128 dup (0)	;future use
HDR		ends

;	Values for TrackType:

TK_ABS		equ	0		;absolute coordinates
TK_REL		equ	1		;relative
TK_POL		equ	2		;polar
TK_NONE		equ	3		;none

;	Values for DwgFlags:

DF_FRAMES	equ	01h		;frames on
DF_AUTOZEXT	equ	02h		;automatic ZEXT on next load only
DF_SHTOCV	equ	04h		;sheets only current visible
DF_PTIN		equ	08h		;display pen thickness in inches
