;	===============================================================
;	OpenGL.CPY - OpenGL equates and structures
;	===============================================================
;	Copyright 1999 Evolution Computing
;	All rights reserved
;	Written by Mike Riddle 1-26-99
;	===============================================================

PFD_TYPE_RGBA		equ	0
PFD_TYPE_COLORINDEX	equ	1

PFD_MAIN_PLANE		equ	0
PFD_OVERLAY_PLANE	equ	1
PFD_UNDERLAY_PLANE	equ	-1

PFD_DOUBLEBUFFER	equ	1
PFD_DRAW_TO_WINDOW	equ	4
PFD_DRAW_TO_BITMAP	equ	8
PFD_SUPPORT_OPENGL	equ	20h
PFD_SUPPORT_GDI		equ	10h

GL_COLOR_BUFFER_BIT	equ	4000h
GL_DEPTH_BUFFER_BIT	equ	100h

PIXELFORMATDESCRIPTOR	struc
nSize		word	sizeof(PIXELFORMATDESCRIPTOR)
nVersion	word	1
dwFlags		dword	PFD_DRAW_TO_WINDOW+PFD_SUPPORT_OPENGL+PFD_SUPPORT_GDI
iPixelType	db	PFD_TYPE_RGBA
cColorBits	db	24
cRedBits	db	0
cRedShift	db	0
cGreenBits	db	0
cGreenShift	db	0
cBlueBits	db	0
cBlueShift	db	0
cAlphaBits	db	0
cAlphaShift	db	0
cAccumBits	db	0
cAccumRedBits	db	0
cAccumGreenBits	db	0
cAccumBlueBits	db	0
cAccumAlphaBits	db	0
cDepthBits	db	32
cStencilBits	db	0
cAuxBuffers	db	0
iLayerType	db	PFD_MAIN_PLANE
bReserved	db	0
dwLayerMask	dword	0
dwVisibleMask	dword	0
dwDamageMask	dword	0
PIXELFORMATDESCRIPTOR	ends

ChoosePixelFormat	proto	stdcall,:dword,:dword
SetPixelFormat		proto	stdcall,:dword,:dword,:dword

wglCreateContext	proto	stdcall,:dword
wglMakeCurrent		proto	stdcall,:dword,:dword
wglDeleteContext	proto	stdcall,:dword

SwapBuffers		proto	stdcall,:dword

glClearColor		proto	stdcall,:real4,:real4,:real4,:real4
glClearDepth		proto	stdcall,:real8
glClear			proto	stdcall,:dword
glFlush			proto	stdcall

glColor3f		proto	stdcall,:real4,:real4,:real4
glColor3ub		proto	stdcall,:byte,:byte,:byte

glRectf			proto	stdcall,:real4,:real4,:real4,:real4
glViewport		proto	stdcall,:dword,:dword,:dword,:dword
glLoadIdentity		proto	stdcall

glOrtho			proto	stdcall,:real8,:real8,:real8,:real8,\
					:real8,:real8

gluLookAt		proto	stdcall,:real8,:real8,:real8,\
				:real8,:real8,:real8,\
				:real8,:real8,:real8

gluPerspective		proto	stdcall,:real8,:real8,:real8,:real8

glBegin			proto	stdcall,:dword

GL_POINTS		equ	0000h
GL_LINES		equ	0001h
GL_LINE_LOOP		equ	0002h
GL_LINE_STRIP		equ	0003h
GL_TRIANGLES		equ	0004h
GL_TRIANGLE_STRIP	equ	0005h
GL_TRIANGLE_FAN		equ	0006h
GL_QUADS		equ	0007h
GL_QUAD_STRIP		equ	0008h
GL_POLYGON		equ	0009h

glVertex3f		proto	stdcall,:real4,:real4,:real4
glEnd			proto	stdcall

glScalef		proto	stdcall,:real4,:real4,:real4
glTranslatef		proto	stdcall,:real4,:real4,:real4
glRotatef		proto	stdcall,:real4,:real4,:real4,:real4
glPushMatrix		proto	stdcall
glPopMatrix		proto	stdcall

glEnable		proto	stdcall,:dword
glDisable		proto	stdcall,:dword
glLightModelfv		proto	stdcall,:dword,:dword
glLightModelf		proto	stdcall,:dword,:real4
glColorMaterial		proto	stdcall,:dword,:dword
glLightfv		proto	stdcall,:dword,:dword,:dword
glNormal3fv		proto	stdcall,:dword

GL_LIGHTING		equ	0B50h
GL_COLOR_MATERIAL	equ	0B57h
GL_DEPTH_TEST		equ	0B71h
GL_CULL_FACE		equ	0B44h

GL_FRONT_AND_BACK	equ	408h
GL_AMBIENT_AND_DIFFUSE	equ	1602h
GL_LIGHT_MODEL_TWO_SIDE	equ	0B52h

GL_AMBIENT		equ	1200h
GL_DIFFUSE		equ	1201h
GL_SPECULAR		equ	1202h
GL_POSITION		equ	1203h

GL_LIGHT0		equ	4000h
GL_LIGHT1		equ	4001h

gluNewTess		proto	stdcall
gluDeleteTess		proto	stdcall,:dword
gluTessCallback		proto	stdcall,:dword,:dword,:dword
gluTessBeginPolygon	proto	stdcall,:dword,:dword
gluTessVertex		proto	stdcall,:dword,:dword,:dword
gluTessEndPolygon	proto	stdcall,:dword
gluTessBeginContour	proto	stdcall,:dword
gluTessEndContour	proto	stdcall,:dword

GLU_TESS_BEGIN		equ	100100
GLU_TESS_VERTEX		equ	100101
GLU_TESS_END		equ	100102
GLU_TESS_ERROR		equ	100103
GLU_TESS_EDGE_FLAG	equ	100104
GLU_TESS_COMBINE	equ	100105

glMatrixMode		proto	stdcall,:dword
GL_MODELVIEW		equ	1700h
GL_PROJECTION		equ	1701h
GL_TEXTURE		equ	1702h
