;	===============================================================
;	OPFLAGS.CPY - Options & Drawing Operations Flags
;	===============================================================

;	Copyright 1997 Evolution Computing
;	All rights reserved
;	Written by Mike Riddle 7-4-97

;	-----------------------------------------------------------------
;	Values for Options (part of desktop structure in FCW32):
;	-----------------------------------------------------------------
;	The standard default options bits are 0FFFF0000h

OPT_ToolTips	equ	80000000h	;tooltips enabled
OPT_PartGroup	equ	40000000h	;parts are grouped
OPT_MaxCovers	equ	20000000h	;maximized windows covers others
OPT_EMF			equ	00000001h	;ok to write EMF to clipboard
OPT_TextCsr		equ	10000000h	;use text dyncsr not box
OPT_DynPan		equ	08000000h	;enable DynPan/DynScroll
OPT_DynPanNew	equ	01000000h	;enable new DynPan/DynScroll
OPT_NECaps		equ	00000002h	;suppress endcaps on LS Wide Lines
OPT_LocalNC		equ	00000004h	;force local enum of # copies
OPT_BkgndPal	equ	04000000h	;0=no repaint on other app pal chg
OPT_ESCCloseT	equ	02000000h	;1=enable ESC to close text windows
OPT_ICO24		equ	00000008h	;1=use 24x24 icons, else 16x16

;	-----------------------------------------------------------------
;	Values for LWFlags (part of desktop structure in FCW32):
;	-----------------------------------------------------------------

LWF_NoDisp	equ	1		;ignore width for display
LWF_NoPrn	equ	2		;ignore width for printing
LWF_CMap	equ	4		;width mapped from color
LWF_AllBlk	equ	8		;print is actually plotting
LWF_PaperScl	equ	16		;widths are paper scale
LWF_UseWPen	equ	32		;use windows pens for solid lines
LWF_Inches	equ	64		;pen width units in cmap:
;					;0 = millimeters
;					;1 = inches

;	-----------------------------------------------------------------
;	Values for DrawFlags - Valid after call to Header::UseCStuff
;	-----------------------------------------------------------------
;	These are used to make quick decisions in geometry drawing logic:
;
;		mov	eax,DrawFlags
;		and	eax,NOT (QWID+QNLS+QNCSR)
;		jz	DrawSingleFilled
;
;		test	DrawFlags,QNWID+QCSR+QNFIL
;		jnz	DrawThinUnfilled
;
;	See the macros defined below.
;	-----------------------------------------------------------------

QWS		equ	1		;line width is specified
QNWS		equ	10000h		;not QWS
QWID		equ	2		;line width spec and not ignored
QNWID		equ	20000h		;not QWID
QFIL		equ	4		;fill style not hollow
QNFIL		equ	40000h		;not QFIL
QFOL		equ	8		;fill style is outlined
QNFOL		equ	80000h		;not QFOL
QLS		equ	10h		;non-solid line style
QNLS		equ	100000h		;not QLS
QPRN		equ	20h		;printing or print preview
QNPRN		equ	200000h		;not QPRN
QCSR		equ	40h		;drawing cursor
QNCSR		equ	400000h		;not QCSR
QPVW		equ	80h		;drawing a print preview
QNPVW		equ	800000h		;not QPVW
QFLS		equ	100h		;is solid filled
QNFLS		equ	1000000h	;not QFLS
QSYMF		equ	200h		;now doing symbol fill
QNSYMF		equ	2000000h	;not QSYMF
QHATCH		equ	400h		;now doing hatch fill
QNHATCH		equ	4000000h	;not QNHATCH
QNECAP		equ	40000000h	;no endcaps on wide lines
QNPW		equ	80000000h	;inhibit GDI pen width flag

;	Jump if all flags are set

IFALL		macro	v,f,j
		mov	eax,v
		and	eax,NOT(f)
		jz	j
		endm

;	Jump if any flags are set

IFANY		macro	v,f,j
		test	v,f
		jnz	j
		endm

;	----------------------------------------------------------
;	SPYL2 - Debug Look At GLine2 structure
;	----------------------------------------------------------

SPYL2		macro	a
		IF	1			;for debugging
		fld	GLine2.X1[a]
		fld	GLine2.Y1[a]
		fld	GLine2.X2[a]
		fld	GLine2.Y2[a]
		fpop
		fpop
		fpop
		fpop
		ENDIF
		ENDM

;	----------------------------------------------------------
;	Clipboard options format
;	----------------------------------------------------------

CBData		struc
CBInfo		dword	40		;length of clipboard reg data
CBBitmapR	DWORD	0,0		;bitmap rectangle
CBBitmapX	DWORD	640		;clipboard bitmap horizontal size
CBBitmapY	DWORD	480		;clipboard bitmap vertical size
CBMFSizeX	REAL4	3.0		;clipboard metafile max X dim
CBMFSizeY	REAL4	2.0		;clipboard metafile max Y dim
CBMFUnits	DWORD	0		;clipboard units: 0 = in, 1 = cm
CBBkgnd		dword	1		;1 = paint background color
CBBits		dword	0		;1 = 24 bits, 0=8 bits
CBData		ends

;	----------------------------------------------------------
;	GetSysVAdr - Get system variable address
;	----------------------------------------------------------

GetSysVAdr	proto	stdcall,n:dword

SV_ADWIN	equ	0
SV_OPTIONS	equ	1
SV_LWFLAGS	equ	2
SV_CBINFO	equ	3
SV_LBACT	equ	4
SV_SELMENUS	equ	5
SV_CANPRESEL	equ	6
SV_SAVEMODE	equ	7
SV_NOREDRAW	equ	8
SV_NOPACK	equ	9
SV_MDBLCLK	equ 10
SV_OLDFONTMETRICS	equ 11
SV_NOVALIDATEXR	equ 12