;	===============================================================
;	PACKETS.CPY - Core Services Structure definitions
;	===============================================================
;	Copyright 1995 Evolution Computing
;	All rights reserved
;	Written by Mike Riddle 4-26-95
;	---------------------------------------------------------------
;
BTN		STRUC
left		dword	0	;button rectangle
top		dword	0
right		dword	0
bottom		dword	0
hSBar		dword	0	;handle of containing SBAR window
take		dword	0	;size of button to take
value		dword	0	;0=up, 1=down, 2=shallow down
;				; 4=noframe, 8=btnclr outline
flags		dword	0	;8000h=left text, else centered
;				;4000h=text adrs is icon handle
txptr0		dword	0	;adrs of ANSIZ "up" text (0=none)
txptr1		dword	0	;adrs of ANSIZ "down" text
;				;0=none, -1=use txptr0
btnclr		dword	0	;button text color #
btnbkgnd	dword	0	;button background color
digproc		dword	0	;proc called on dig in button
;				;0 = none (esi will be BTN pkt adrs)
button2		dword	0	;if <>0, then 2nd text sub-button
Rdigproc	dword	0	;proc called on right dig in button
;				;0 = none (esi will be BTN pkt adrs)
BTN		ENDS

BV_DOWN		equ	1	;button is sunken
BV_UP		equ	0	;button is up
BV_TRAY		equ	2	;shallow down tray frame
BV_PLAIN	equ	4	;no frame
BV_OUTLINE	equ	8	;btn color outline

BF_LEFT		equ	8000h	;left justify text
BF_CENTER	equ	0	;center justify text
BF_TOGGLE	equ	2000h	;enable toggle BV_DOWN on dig
BF_ICON		equ	4000h	;txptrn is bitmap handle
BF_HIDE		equ	1000h	;button is hidden
BF_TAKER	equ	1	;take space on right of SBar (else left)
BF_TAKEA	equ	2	;take all remaining space
BF_TAKEN	equ	4	;take no space (used for dual btns - ANS)

KEYSINK		STRUC
TknBfr		dword	0	;ptr to ASNIZ string buffer
ScanPtr		dword	0	;token build scanner
BtnPtr		dword	0	;adrs of button to display (0=none)
flags		dword	0	;control/function flags
TknProc		dword	0	;token procedure: called on token delimiter
KEYSINK		ENDS

;	KEYSINK flags values

KS_NxNewLine	equ	000000001h	;next chr starts a new line
KS_NoDisplay	equ	000000002h	;don't display anything

SCRIPT		STRUC
Start		dword	?		;started at adrs
Last		dword	?		;last valid adrs
Scan		dword	?		;current scan adrs
flags		dword	?		;flag bits
SCRIPT		ENDS

SF_Release	equ	000000001h	;RelMem Start adrs at end script
SF_CtxRst	equ	000000002h	;Context Restore at end

REGKEY		struc
hkey		dword	HKEY_CURRENT_USER
kname		dword	0	;address of key name string/rscid
vname		dword	0	;address of value name string/rscid
vbfr		dword	0	;adrs of value data bfr
vbfrmax		dword	0	;max chrs in vbfr
vtype		dword	0	;data type code
vbsize		dword	0	;actual data size returned
vbres		dword	0	;create/open key result code
REGKEY		ends

GETFN		struc
resbfr		dword	0	;result ANSIZ file name bfr\rscid
deffn		dword	0	;default file name to init\rscid
defft		dword	0	;default file type "FCW",0\rscid
fltrs		dword	0	;filters table\rscid (0=none)
oflags		dword	OFN_FILEMUSTEXIST	;flags for open (used to be OFN_CREATEPROMPT but Windows 8.1 messed this up)
sflags		dword	OFN_PATHMUSTEXIST	;flags for save
fidx		dword	1	;selected filter index (1=first)
oklabel		dword	0	;text/RSCID for ok button label
GETFN		ends

;	---------------------------------------------------------------
;	Draw Mode flags
;	Note: only meaningful during entity handler support of
;		EDraw, EMark, EUndraw, etc.
;	---------------------------------------------------------------

DM_DRAW		equ	0
DM_MARK		equ	1
DM_UNDRAW	equ	2

;	Entity operations control flags

T_ON		equ	01h		;prevent T<0.0 or T>1.0

;	---------------------------------------------------------------
;	Device Manager State flags (returned in AX by DevGetState)
;	---------------------------------------------------------------

DCS_PRINT	equ	01h		;now printing (or preview)
DCS_XOR		equ	02h		;now XOR mode
DCS_META	equ	04h		;metafile output
DCS_PREVIEW	equ	08h		;now preview (DCS_PRINT also set)

;	---------------------------------------------------------------

DINDEX		struc
grow		dword	512		;grow in steps of
bfr		dword	0		;current buffer adrs
bsize		dword	0		;current buffer size
DINDEX		ends

;	---------------------------------------------------------------
;	Status window control structure
;	---------------------------------------------------------------

StatW		struc
ttxt		dword	0		;title text\RSCID
stxt		dword	0		;source text\RSCID
dtxt		dword	0		;destination text\RECID
btxt		dword	0		;button label text\RSCID
StatW		ends

;	---------------------------------------------------------------
;	Drawing List control structure (CurDwgL ->this)
;	---------------------------------------------------------------

DwgList		struc
badr		dword	0		;block base address (0=no cmtd)
csize		dword	0		;current # bytes of data (0=empty)
msize		dword	0		;max size before COMMIT req
rsize		dword	0		;reserved size (upper limit)
DwgList		ends

;	---------------------------------------------------------------
;	AskProtected Flags
;	---------------------------------------------------------------

PROT_CHG	equ	1		;1=dwg can not be edited/changed
PROT_PRINT	equ	2		;2=dwg can not be printed
PROT_LYR	equ	4		;4=dwg layer can not be changed

;	---------------------------------------------------------------
;	Button Visibility flags for resource configuration
;	---------------------------------------------------------------

BV_LOCK		equ	1
BV_CSNAP	equ	2
BV_DEPTH	equ	4
