;	===============================================================
;	RSCID.CPY - Resource ID equates for use as RscAdr parameters.
;	===============================================================
;	Copyright 1995-1997 Evolution Computing
;	All rights reserved
;	===============================================================

XPRscID		equ	60000t		;XP module local resource IDs

;	===============================================================
;	RSCCMD.ASM resources
;	===============================================================

RSC_LangChrs		equ	1	;language special chrs
RSC_CmdTable		equ	2	;command names table
RSC_NCmdTable		equ	3	;nestable command table
RSC_ModTable		equ	4	;modifiers table
RSC_PfxTable		equ	5	;prefix modifiers table
RSC_LikeMod		equ	6	;LIKE modifier
RSC_MacroCmds		equ	7	;MACRO system commands

;	===============================================================
;	RSCSUSAN.ASM ID #'s start at 1000t
;	===============================================================

RSC_MaxS	equ	1000	;max resource ID # (calculated)
RSC_From	equ	1001	;szFrom
RSC_To		equ	1002	;szTo
RSC_P1		equ	1003	;szP1
;		equ	1004	;(unused)
;		equ	1005	;(unused)
RSC_Start	equ	1006	;szStart
RSC_Next	equ	1007	;szNext
;		equ	1008	;(unused)
RSC_P1Ent	equ	1009	;szP1Ent
RSC_Missing	equ	1010	;szMissing
RSC_WinP2	equ	1011	;szWinP2
RSC_DistP2	equ	1012	;szDistP2
RSC_Disp	equ	1013	;szDisp
RSC_Cir2Name	equ	1014	;szCir2Name
RSC_Arc2Name	equ	1015	;szArc2Name
RSC_Elp2Name	equ	1016	;szElp2Name
RSC_ElA2Name	equ	1017	;szElA2Name
RSC_Cir2List	equ	1018	;szCir2List
RSC_Arc2List	equ	1019	;szArc2List
RSC_Elp2List	equ	1020	;szElp2List
RSC_ElA2List	equ	1021	;szElA2List
RSC_EachPick	equ	1022	;szEachPick
RSC_WinPick	equ	1023	;szWinPick
RSC_Line2Name	equ	1024	;szLine2Name
RSC_Line2List	equ	1025	;szLine2List
RSC_Pt2Name	equ	1026	;szPt2Name
RSC_Pt2List	equ	1027	;szPt2List
RSC_PathName	equ	1028	;szPathName
RSC_PolyName	equ	1029	;szPolyName
RSC_SplineName	equ	1030	;szSplineName
RSC_SPolyName	equ	1031	;szSPolyName
RSC_PList	equ	1032	;szPList
RSC_NoSmooth	equ	1033	;szNoSmooth
RSC_CuSmooth	equ	1034	;szCuSmooth
RSC_PbSmooth	equ	1035	;szPbSmooth
RSC_BzSmooth	equ	1036	;szBzSmooth
RSC_ListNode	equ	1037
RSC_TextName	equ	1038
RSC_ListText	equ	1039
RSC_BLeft	equ	1040	;text justification name strings
RSC_BCenter	equ	1041
RSC_BRight	equ	1042
RSC_MLeft	equ	1043
RSC_MCenter	equ	1044
RSC_MRight	equ	1045
RSC_TLeft	equ	1046
RSC_TCenter	equ	1047
RSC_TRight	equ	1048
;		equ	1049-1060 for extended jcodes
RSC_Bold	equ	1061
RSC_Ital	equ	1062
RSC_Under	equ	1063
RSC_Strike	equ	1064
RSC_Vert	equ	1065
RSC_FromFile	equ	1066
RSC_MissFile	equ	1067
RSC_CRLF	equ	1068		
RSC_AppName	equ	1069
RSC_CheckSave	equ	1070
RSC_ListTextD	equ	1071

;	===============================================================
;	RSCLIN.ASM ID #'s start at 2000t
;	===============================================================

RSC_MaxL	equ	2000	;max resource ID # (calculated)
;		equ	2001	;(unused)
RSC_EntErr	equ	2002	;ent creation failure msg
RSC_Colinear	equ	2003	;3 points colinear
RSC_ZeroRad	equ	2004	;zero radius error
RSC_ZeroMajRad	equ	2005	;zero maj radius error for Elp
RSC_ZeroMinRad	equ	2006	;zero Ecc error for Elp
RSC_NumNodeErr	equ	2007	;less than 3 nodes error for poly
RSC_Continue    equ     2008    ;prompt
RSC_DimAt       equ     2009    ;prompt
RSC_DimLPk      equ     2010    ;prompt
RSC_DimACen	equ	2011	;DimA prompt
RSC_DimLdr	equ	2012	;DimA prompt
RSC_DimAEAng	equ	2013	;DimA prompt
RSC_DimCPk      equ     2014    ;DimC prompt
RSC_DimL2Name	equ	2015	;DimL name
;unused		equ	2016	;old DimL list
RSC_DimA2Name	equ	2017	;DimA name
RSC_DimA2List	equ	2018	;DimA list
RSC_DimCR2Name	equ	2019	;DimC name (Radius)
RSC_DimCD2Name	equ	2020	;DimC name (Diameter)
RSC_DimC2List	equ	2021	;DimC list
RSC_DynEdDim	equ	2022	;DimL dyn_edit prompt
RSC_TPos        equ     2023    ;Text positions
;		equ	2024	;(unused)
RSC_Auto	equ	2025	;DIM text pos/angle automatic
RSC_EditPTitle	equ	2026	;Edit 2D Path Title
RSC_DynEdCir	equ	2027	;DYNEDIT circle
RSC_DynEdArc	equ	2028	;DYNEDIT arc
RSC_DynEdElp	equ	2029	;DYNEDIT ellipse

;	===============================================================
;	RSCSCOTT.ASM ID #'s start at 4000
;	===============================================================

RSC_MaxScott		equ	4000	;max resource ID # (calculated)
RSC_BkColor		equ	4001	;background color prompt
RSC_BadLayer		equ	4002	;bad layer name warning box
RSC_NoXLayer		equ	4003	;LAYER - no delete warning
RSC_CSLstFmt		equ	4004	;List entity display
RSC_P2P			equ	4005	;ask point on circle
RSC_CR2P		equ	4006	;ask center of circle
RSC_Elip2		equ	4007	;Elipse Axis EndPoint
RSC_ElipI1		equ	4008	;Inclination
RSC_ElipI2		equ	4009	;First Axis Diameter
RSC_ElipI3		equ	4010	;Second Axis Diameter
RSC_ElipC1		equ	4011	;Angle to Screen
RSC_CR1P		equ	4012	;Radius
RSC_CD1P		equ	4013	;Diameter
RSC_CD2P		equ	4014	;Center
RSC_C21P		equ	4015	;1st point
RSC_C22P		equ	4016	;2nd point
RSC_C33P		equ	4017	;3rd point
RSC_ArcS2		equ	4018	;starting point
RSC_ArcS3		equ	4019	;ending angle
RSC_ArcR		equ	4020	;starting angle[]
RSC_AR2P		equ	4021	;radius
RSC_CArc		equ	4022	;next point
RSC_CA2P		equ	4023	;direction

RSC_AWP			equ	4024	;new active window
RSC_NWP1		equ	4025	;new window corner
RSC_NWP2		equ	4026	;opposite corner
RSC_UnnamedView		equ	4027	;unnamed view
RSC_P1P			equ	4028	;view center
RSC_ZSP			equ	4029	;zoom scale:
RSC_ZW1P		equ	4030	;zoom window:

RSC_EdPick		equ	4031	;Edit 
RSC_DragFrom		equ     4032	;Drag from: 
RSC_DragTo		equ	4033	;Drag To:
RSC_szMirP1		equ	4034	;Mirror line start:
RSC_szMirP2		equ	4035	;Mirror line end:
RSC_szRotAng		equ	4036	;Rotate by Angle [!01]:	
RSC_szRotCen		equ	4037	;Rotate center[!01,!02]:
RSC_szSclFct		equ	4038	;Scale by factor[!01]:
RSC_szSclPnt		equ	4039	;Scale Center[!01,!02]:
RSC_szConne1		equ	4040	;Connect from 1st point:
RSC_szConneTo		equ	4041	;Connect to:
RSC_szConne2		equ	4042	;Connect from 2nd point:
RSC_szSclXFct		equ	4043	;Scale X by[!01]:
RSC_szSclYFct		equ	4044	;Scale Y by[!01]:
RSC_szStretch		equ	4045	;Stretch what?
RSC_szStrPnts		equ	4046	;Stretch points in [Pick window]:

RSC_szCorner		equ	4047	;1st corner:
RSC_Last		equ	4048	;Last Point:
RSC_P2			equ	4049	;2nd Point:
RSC_P3			equ	4050	;3rd Point:
RSC_szSides		equ	4051	;Number of nodes [!01]:	
RSC_szDefCen		equ	4052	;Center[!01,!02]:

RSC_EntRec		equ	4053	;!01    !02 Entities
RSC_Summary		equ	4054	;!01 Entities occupying x of memory	RSC_CountTW		equ	4055	;Title for Count
RSC_szIDPnt		equ	4056	;Point to identify: 
RSC_szCord		equ	4057	;Coordinates of X,Y = !01,!02
RSC_szLenPk		equ	4058	;Select entity:	
RSC_szFromPnt		equ	4059	;From point on entity[entire entity]:
RSC_szToPnt		equ	4060	;To point on entity:
RSC_szLenShow		equ	4061	;   Distance = !01   
RSC_szAreaP1		equ	4062	;1st Point[or ENTER to select]:	
RSC_szNxtP		equ	4063	;Next Point:
RSC_szAreaShow		equ	4064	;   Area = !01   

RSC_SelCopy		equ	4065	;Select entities to copy
RSC_szCPYPnt		equ	4066	;Copy Origin
RSC_szCPYTo		equ	4067	;Copy to
RSC_szColms		equ	4068	;Number of columns
RSC_szRows		equ	4069	;Number of rows

RSC_szNSpokes		equ	4070	;Number of spokes
RSC_szNRings		equ	4071	;Number of rings
RSC_szArrayCen		equ	4072	;Array center
RSC_szCPYOrig		equ	4073	;Copy origin
RSC_szSpokeAng		equ	4074	;Angle between spokes
RSC_szRingDist		equ	4075	;Distance between rings

RSC_ChgCPrompt		equ	4076	;New entity color
RSC_PkWP		equ	4077	;pick entities in window
RSC_DispP2		equ	4078	;RD_Disp to point prompt
RSC_ArcR2		equ	4079	;ending angle[]

RSC_ETTitle		equ	4080	;Edit Text title
RSC_NTTitle		equ	4081	;New Text title
RSC_szDist1		equ	4082	;DIST from
RSC_szDist2		equ	4083	;DIST cmd display
RSC_szBrng1		equ	4084	;BRNG from
RSC_szBrng2		equ	4085	;BRNG cmd display

RSC_DimC2Name		equ	4086	;circ dim label
RSC_SymDefName		equ	4087	;sym def label
RSC_SymRefName		equ	4088	;sym ref label
RSC_szCalc1		equ	4089	;calc greeting
RSC_szCalc2		equ	4090	;calc answer

RSC_CSPartLstFmt	equ	4091	;part CS list format
RSC_WNPk		equ	4092	;window name pick window prompt
RSC_DispP2D		equ	4093	;RD_Disp direct displacement prompt
RSC_MoveFrom		equ     4094	;Move from [displacement]: 
RSC_TextPos		equ	4095	;text position

;	===============================================================
;	RSCMIKE.ASM ID #'s start at 3000
;	===============================================================

RSC_Max			equ	3000	;max resource ID # (calculated)
RSC_Undef		equ	3001	;msg for an invalid RSCID
RSC_PanDisp		equ	3002	;PAN from prompt
RSC_InitMenuFile	equ	3003	;program load auto-menu file
RSC_InitScriptFile	equ	3004	;program load auto-script file
RSC_AboutTitle		equ	3005	;about box title
RSC_AboutText		equ	3006	;about box text
RSC_Command		equ	3007	;command prompt
RSC_Point		equ	3008	;2d point
RSC_WarnTitle		equ	3009	;warn box title
RSC_BadCmd		equ	3010	;bad command warning
RSC_CmdCopy		equ	3011	;copy cmd here
RSC_Grid		equ	3012	;grid button text
RSC_Snap		equ	3013	;snap button text
RSC_CSnap		equ	3014	;csr snap button text
RSC_Ortho		equ	3015	;ortho button text
RSC_Verify		equ	3016	;verifying title
RSC_AboutMenuErr	equ	3017	;about text if menu load err
RSC_MainTitle		equ	3018	;main window title text
RSC_NoTitle		equ	3019	;NULL window title
RSC_Null		equ	3019	;NULL string
RSC_ASaving		equ	3020	;now autosaving
RSC_HelpFile		equ	3021	;help file for main program
RSC_Unnamed		equ	3022	;new (unnamed) name
RSC_LdTitle		equ	3023	;get load file name box title
RSC_LdType		equ	3024	;get ld fn file tyle stg
RSC_CurFileName		equ	3025	;current file name ANSI
RSC_DwgLFltrs		equ	3026	;drawing file load filters list
RSC_SavTitle		equ	3027	;get save file name box title
RSC_LoadErrMsg		equ	3028	;error loading file
RSC_SavErrMsg		equ	3029	;error saving file
RSC_NewTitle		equ	3030	;get new drawing name
RSC_RenameTitle		equ	3031	;get rename
RSC_DwgType		equ	3032	;.TYP of drawing files
RSC_FileTitle		equ	3033	;displayable file name
RSC_NewPrefix		equ	3034	;new prefix for file title
RSC_DfltName		equ	3035	;default file name
RSC_Colors		equ	3036	;std colors name table 36..51
RSC_ListTitle		equ	3052	;list window title
RSC_REG_FCWKey		equ	3053	;registry FCW key name
RSC_REG_WDName		equ	3054	;registry working dwg value name
RSC_SUName		equ	3055	;startup drawing name (from reg)
RSC_XPInst		equ	3056	;title for xp install box
RSC_XPType		equ	3057	;type of XP file
RSC_XPFltr		equ	3058	;XP file filter
RSC_OurPath		equ	3059	;path to FCW32.EXE (ends with \)
RSC_SelScript		equ	3060	;title for script box
RSC_ScType		equ	3061	;type of script file
RSC_ScFltr		equ	3062	;script file filter
RSC_SelMenu		equ	3063	;title for menu box
RSC_MFType		equ	3064	;type of menu file
RSC_MFFltr		equ	3065	;menu file filter
RSC_GridDel		equ	3066	;delete grid system
RSC_GridV		equ	3067	;grid spacing value
RSC_SnapDiv		equ	3068	;# snap divisions
RSC_Align		equ	3069	;grid align point
RSC_GClassR		equ	3070	;rect grid class name
RSC_GClassC		equ	3071	;circ grid class name
RSC_StdGridR		equ	3072	;std Rgrid sstem inst name
RSC_StdGridC		equ	3073	;std Cgrid sstem inst name
RSC_Temp		equ	3074	;temp stg bfr (266 bytes)
RSC_PriorPt		equ	3075	;2d/3d @ prior point
RSC_SSetDel		equ	3076	;delete view SSet
RSC_REG_SUPName		equ	3077	;registry setup posn value name
RSC_XPRepl		equ	3078	;replace existing XP?
RSC_XPDel		equ	3079	;delete existing XP?
RSC_XPLdErr		equ	3080	;error loading XP
RSC_CheckDiscard	equ	3081	;ok to discard
RSC_XPPath		equ	3082	;path to XP modules (ends with \)
RSC_Line3Name		equ	3083	;szLine3Name
RSC_Line3List		equ	3084	;szLine3List
RSC_FitWHLst		equ	3085	;fit width/height list
RSC_Depth		equ	3086	;3d depth mode
RSC_DepthB		equ	3087	;debth button label
RSC_StyleDel		equ	3088	;delete style
RSC_SegList		equ	3089	;ed lstyle list fmt
RSC_draw		equ	3090	;ed lstyle draw seg text
RSC_skip		equ	3091	;ed lstyle skip seg text
RSC_item1		equ	3092	;single edit item only
RSC_StyleUsed		equ	3093	;no delete style: in use
RSC_SRefName		equ	3094	;SREF entity name
RSC_SRefList		equ	3095	;SREF entity list
RSC_SymName		equ	3096	;InsSym symbol name
RSC_SymOrg		equ	3097	;DefSym symbol origin
RSC_SymLoc		equ	3098	;InsSym insert at location
RSC_SymScaleX		equ	3099	;InsSym insert X scale
RSC_SymRotXY		equ	3100	;InsSym insert rotation XY
RSC_Select		equ	3101	;select entity prompt
RSC_SDefName		equ	3102	;SDEF entity name
RSC_SDefList		equ	3103	;SDEF entity list
RSC_SymScaleY		equ	3104	;InsSym insert Y scale
RSC_NoSymDef		equ	3105	;no SYMDEF exists for name
RSC_NewSymName		equ	3106	;DefSym symbol name
RSC_WasSymDef		equ	3107	;SYMDEF exists for name
RSC_SRefList2		equ	3108	;SREF entity list, part 2
RSC_SListTitle		equ	3109	;LISTSYM title
RSC_DelSymV		equ	3110	;DELSYM verify msg box
RSC_DelSymU		equ	3111	;DELSYM unable msg box
RSC_Atrib2Name		equ	3112	;ATTRIB entity name
RSC_Atr2List		equ	3113	;ATTRIB strings listing
RSC_Atr2Hide		equ	3114	;ATTRIB hide flag (text)
RSC_Atr2Const		equ	3115	;ATTRIB constant flag (text)
RSC_Atr2Tag		equ	3116	;ATTRIB disp tag flag (text)
RSC_Atr2RefList		equ	3117	;ATTRIB REF list
RSC_Atr2ExTitle		equ	3118	;EXTRACT TW title
RSC_Atr2Ex		equ	3119	;EXTRACT format
RSC_Color		equ	3120	;COLOR command
RSC_DColor		equ	3121	;DSKCOLOR command
RSC_REG_DskName		equ	3122	;registry desktop data name
RSC_BadMod		equ	3123	;invalid modifier
RSC_REF			equ	3124	;reference point
RSC_ModEnt		equ	3125	;entity for modifier
RSC_Pct			equ	3126	;% modifier value
RSC_Dist		equ	3127	;DIST modifier value
RSC_NewXLayer		equ	3128	;new layer exists
RSC_AskLayer		equ	3129	;ask for style ID (RD_Layer)
RSC_AskColor		equ	3130	;ask for color ID (RD_Color)
RSC_SelMove		equ	3131	;entities to move
RSC_SelEra		equ	3132	;entities to erase
RSC_SelMir		equ	3133	;entities to mirror
RSC_SelRot		equ	3134	;entities to rotate
RSC_SelScl		equ	3135	;entities to scale
RSC_SelCnct		equ	3136	;entities to connect
RSC_SelStr		equ	3137	;entities to stretch
RSC_SelList		equ	3138	;entities to list
RSC_SelCount		equ	3139	;entities to count
RSC_SelSclXY		equ	3140	;entities to scale XY
RSC_SelSymE		equ	3141	;entities to define symbol
RSC_SelChgC		equ	3142	;entities to change color
RSC_SelChgL		equ	3143	;entities to change layer
RSC_SelChgLS		equ	3144	;entities to change line style
RSC_LyrBtnFmt		equ	3145	;layer status btn format
RSC_LyrBtnTxt		equ	3146	;layer status btn text
RSC_LStyBtnFmt		equ	3147	;line style status btn format
RSC_LStyBtnTxt		equ	3148	;line style status btn text
RSC_FStyBtnFmt		equ	3149	;fill style status btn format
RSC_FStyBtnTxt		equ	3150	;fill style status btn text
RSC_TrkBtnFmt		equ	3151	;abs tracking status btn format
RSC_TrkBtnTxt		equ	3152	;tracking status btn text
RSC_SelChgFS		equ	3153	;entities to change fill style
RSC_AskLStyle		equ	3154	;ask line style (RD_LStyle)
RSC_AskFStyle		equ	3155	;ask fill style (RD_FStyle)
RSC_RTrkBtnFmt		equ	3156	;rel tracking status btn format
RSC_PTrkBtnFmt		equ	3157	;polar tracking status btn format
RSC_CBar		equ	3158	;color bar tool name
RSC_IBar		equ	3159	;icon bar tool name
RSC_PBar		equ	3160	;prompt bar tool name
RSC_SBar		equ	3161	;status bar tool name
RSC_ScrollBar		equ	3162	;scroll bar tools name
RSC_PalFileName		equ	3163	;palette file name
RSC_ClrNrSel		equ	3164	;dlg color selected
RSC_InitMacroFN		equ	3165	;initial macro file name
RSC_ClrNoChgWB		equ	3166	;no change color warning
RSC_ClrWP		equ	3167	;write protected colors
RSC_ClrCtl		equ	3168	;special use colors
RSC_SelMac		equ	3169	;title for macro box
RSC_MacType		equ	3170	;type of macro file
RSC_MacFltr		equ	3171	;macro file filter
RSC_SaveMac		equ	3172	;title for save macro box
RSC_AskVName		equ	3173	;ask for variable name
RSC_AskPVal		equ	3174	;ask for point value
RSC_AskVVal		equ	3175	;ask for real value
RSC_AskDVal		equ	3176	;ask for distance value
RSC_AskAVal		equ	3177	;ask for angle value
RSC_AskNVal		equ	3178	;ask for dword value
RSC_AskWVal		equ	3179	;ask for txtword value
RSC_AskLVal		equ	3180	;ask for txtline value
RSC_VarTitle		equ	3181	;list variables title
RSC_AskTVal		equ	3182	;ask for goto label
RSC_TermBfr		equ	3183	;RDATACHK term buffer
RSC_TargNF		equ	3184	;goto target label not found
RSC_StepInfo		equ	3185	;step msg box fmt
RSC_StepCmd		equ	3186	;step cmd msg box format
RSC_PTrkBtnFmt3		equ	3187	;3d polar tracking status btn fmt
RSC_BrngP2		equ	3188	;bearing to point RD_Brng
RSC_ArrowEnt		equ	3189	;entity for arrowhead
RSC_TFTitle		equ	3190	;text from file title/prompt
RSC_TFType		equ	3191	;text from file type
RSC_TFFltr		equ	3192	;text from file filters
RSC_MP2Name		equ	3193	;2d multipoly name
RSC_MP2List		equ	3194	;2d multipoly list
RSC_SelMPE		equ	3195	;3d mpoly edge ent sel
RSC_Deg			equ	3196	;degree modifier
RSC_TrimPick		equ	3197	;trim entity pick
RSC_TrimPt		equ	3198	;trim to point
RSC_TrimTo		equ	3199	;trim to entity
RSC_TrimTE		equ	3200	;entities to trim
RSC_PartEName		equ	3201	;part entity name
RSC_PartList		equ	3202	;part entity list
RSC_SelPartE		equ	3203	;part entities
RSC_RgpPick		equ	3204	;regroup entity
RSC_PartName		equ	3205	;part to insert title
RSC_PAryAt1		equ	3206	;1st part at
RSC_PAryAt2		equ	3207	;part 2nd row 2nd col
RSC_PartAt		equ	3208	;move part org to
RSC_CurPartName		equ	3209	;current part name var
RSC_UnitM		equ	3210	;UNITM prompt
RSC_DecP		equ	3211	;SETDECP prompt
RSC_DistFmt		equ	3212	;DISTFMT prompt
RSC_FRnd		equ	3213	;SETFRAC prompt
RSC_DFmtList		equ	3214	;Distance format list
RSC_FRndList		equ	3215	;Fraction rounding list
RSC_UnitList		equ	3216	;unit names list
RSC_Atch		equ	3217	;attach button label
RSC_CPAryCen		equ	3218	;CPARY center
RSC_CPAryAt		equ	3219	;CPARY 1st part at
RSC_WritePTitle		equ	3220	;WRITE part title
RSC_WPartEnts		equ	3221	;WRITE part entities
RSC_WPartOrg		equ	3222	;WRITE part origin
RSC_NewOrg		equ	3223	;ORIGIN point
RSC_AskViewName		equ	3224	;ZNAME name request
RSC_AtchMode		equ	3225	;attach mode list
RSC_AtchModeIx		equ	3226	;attach mode list index
RSC_SelChgTS		equ	3227	;entities to change text specs
;unused			equ	3228	;entities to change dim specs
RSC_TrimI1		equ	3229	;trim to int ent 1
RSC_TrimI2		equ	3230	;trim to int ent 2
RSC_TrimLen		equ	3231	;trim to length
RSC_CirTan3Ent		equ	3232	;circle tan to 3 ents
RSC_C3TErr		equ	3233	;CirTan3 error
RSC_C3TEErr		equ	3234	;CirTan3 type of entity error
RSC_DonutIR		equ	3235	;DONUT inner radius
RSC_DonutOR		equ	3236	;DONUT outer radius
RSC_DonutC		equ	3237	;DONUT center
RSC_DynEdLn		equ	3238	;DYNEDIT line point
RSC_FStyTitle		equ	3239	;FSTYLE select prop sheet title
RSC_FStyPg1		equ	3240	;FSTYLE prop sheet pg1 title
RSC_FStyPg2		equ	3241	;FSTYLE prop sheet pg2 title
RSC_FStyPg3		equ	3242	;FSTYLE prop sheet pg3 title
RSC_FSNUsedMsg		equ	3243	;FSTYLE name in use msg
RSC_SelBmp		equ	3244	;title for BMP file find
RSC_BmpType		equ	3245	;type of BMP file
RSC_BmpFltr		equ	3246	;BMP file filter
RSC_FStyPg4		equ	3247	;FSTYLE prop sheet pg4 title
RSC_DelTitle		equ	3248	;DELETE cmd title
RSC_DelFltrs		equ	3249	;DELETE file filters
RSC_DelOK		equ	3250	;DELETE confirm box
RSC_OurExe		equ	3251	;our prog path & .exe filename
RSC_REG_FCWdot		equ	3252	;registry .fname
RSC_REG_FCWdotv		equ	3253	;registry .fname value
RSC_REG_FCWscmdk	equ	3254	;registry key .fname shell cmd
RSC_REG_FCWnewk		equ	3255	;registry shell new command
RSC_REG_FCWscmdv	equ	3256	;registry .fname shell cmd value
RSC_REG_FCWiconk	equ	3257	;registry key .fname icon locn
RSC_REG_FCWinfok	equ	3258	;registry .fname info key
RSC_REG_FCWiconv	equ	3259	;registry .fname icon locn value
RSC_REG_FCWpathk	equ	3260	;registry FCW32 path key
RSC_REG_FCWpath 	equ	3261	;registry FCW32 path name
RSC_REG_FCWpathv	equ	3262	;registry FCW32 path value
RSC_REG_FCWinfo		equ	3263	;registry file type info
RSC_REG_FCWnew		equ	3264	;registry shell new label
RSC_GUIID		equ	3265	;.FCW GUIID text string
RSC_REG_FCWscmdpk	equ	3266	;registry key shell print cmd
RSC_ModEnt1		equ	3267	;1st entity for modifier
RSC_ModEnt2		equ	3268	;2nd entity for modifier
RSC_FilRad		equ	3269	;fillet radius
RSC_FilRadErr		equ	3270	;fillet radius too small
RSC_ChDist		equ	3271	;chamfer distance
RSC_IBar2		equ	3272	;2nd icon bar tool name
RSC_IBar3		equ	3273	;3rd icon bar tool name
RSC_IBar4		equ	3274	;4th icon bar tool name
RSC_InitIBarFile	equ	3275	;initial icon bar menu file
RSC_PrPrvTitle		equ	3276	;print preview title
;unused			equ	3277	;must rename something warn box
;unused			equ	3278	;new DStyle name
;unused			equ	3279	;delete Dstyle
;unused			equ	3280	;no delete Dstyle: in use
RSC_SplitPick		equ	3281	;entity to split
RSC_SplitPt		equ	3282	;split entity at point
RSC_BreakPk		equ	3283	;entity to break
RSC_BreakP1		equ	3284	;break entity from point
RSC_BreakP2		equ	3285	;break entity to point
RSC_DblSep		equ	3286	;double line separation prompt
RSC_RptFrom		equ	3287	;REPEAT from pt
RSC_RptTo		equ	3288	;REPEAT to pt
RSC_LikePick		equ	3289	;LIKE cmd entity pick prompt

RSC_SaveCB		equ	3290	;ask save clipboard?
RSC_ClipOrigin		equ	3291	;clipboard origin
RSC_ClipPick		equ	3292	;clip cmd entity pick prompt
RSC_BadPaste		equ	3293	;clipbd can't paste data
RSC_CBEmpty		equ	3294	;clipboard empty
RSC_TxTooBig		equ	3295	;cboard text too big - trunc
RSC_MenuType		equ	3296	;.MNU
RSC_CurDwgPath		equ	3297	;current dwg path stg

RSC_ODName		equ	3298	;Ord dim name
RSC_ODList		equ	3299	;Ord dim listing
RSC_ODOrg		equ	3300	;Ord dim origin point
RSC_ODAt		equ	3301	;Ord dim text at point
RSC_ODLdr		equ	3302	;Ord dim leader point
RSC_ODListL		equ	3303	;Ord Dim list leader pt

RSC_DwgSFltrs		equ	3304	;drawing file save filters list
RSC_DwgNFltrs		equ	3305	;drawing file name filters list
RSC_LFTypeIdx		equ	3306	;load file type index
RSC_CurSaveName		equ	3307	;current save name
RSC_LoadFileName	equ	3308	;current file being loaded

RSC_MacroV1		equ	3309	;macro bfr 1
RSC_MacroV2		equ	3310	;macro buffer 2
RSC_PriorFN		equ	3311	;prior dwg file name 
RSC_PriorTF		equ	3312	;prior dwg temp copy file name
RSC_ClipbdFN		equ	3313	;clipbd cur FCW copy
RSC_Cancel		equ	3314	;cancel button text
RSC_CvtSTitle		equ	3315	;convert status title
RSC_MenuName		equ	3316	;menu file name prompt

RSC_MPartName		equ	3317	;part name prompt
RSC_PartScale		equ	3318	;part scale prompt
RSC_PartRot		equ	3319	;part rot prompt
RSC_ScriptNm		equ	3320	;SCRIPTM file name
RSC_ZWid		equ	3321	;zoom width prompt
RSC_ZHgt		equ	3322	;zoom height prompt

RSC_MacroName		equ	3323	;macro file name prompt
RSC_DemoBox		equ	3324	;demo startup box text
RSC_OfDist		equ	3325	;offset distance
RSC_OfEnt		equ	3326	;offset entity
RSC_OfSide		equ	3327	;offset side

RSC_PColor		equ	3328	;prompt text color
RSC_XPEName		equ	3329	;xp ent name for count cmd

RSC_OfChain		equ	3330	;offset chain
RSC_InsPick		equ	3331	;INS NODE entity pick
RSC_DelPick		equ	3332	;DEL NODE entity pick
RSC_EditPt		equ	3333	;DYNEDIT/INSNODE point
RSC_SFTypeIdx		equ	3334	;save file type index

RSC_TemplateName	equ	3335	;new dwg template file
RSC_TemplateTitle	equ	3336	;select template title
RSC_REG_TemplateKey	equ	3337	;reg key for template name
RSC_InitPath		equ	3338	;path on program startup
RSC_TemplateType	equ	3339	;template file type
RSC_DwgTFltrs		equ	3340	;drawing template filters list
RSC_REG_FCTdot		equ	3341	;reg template file type
RSC_Discard		equ	3342	;Discard command warning
;			equ	3343	;(unused)
RSC_NoCpyFrzn		equ	3344	;can't copy to frozen layer

RSC_WebInfo		equ	3345	;web info message box text
RSC_AboutDemo		equ	3346	;about box text (DEMO version)
RSC_REG_XP		equ	3347	;XP registry key

;	Added in FCW version 5.04:

RSC_szTxtPos		equ	3348	;Centered/Above/Below (dim tx pos)
RSC_szEmpty		equ	3349	;empty list for dialog boxes
RSC_actual		equ	3350	;"actual" dim vale
RSC_fixed		equ	3351	;"fixed" dim value
RSC_DimLNList1		equ	3352	;DimL2N start pos list
RSC_DimLNList2		equ	3353	;DimL2N dim value, pos list
RSC_DStyLst2		equ	3354	;DStyle2 list data
RSC_JustLst		equ	3355	;TSPEC justify list box text list
RSC_SelExp		equ	3356	;entities to explode

;	Added in FCW version 5.05:

RSC_StdMenuName		equ	3357	;std menu to load/reload (variable)
RSC_LWidBtnTxt		equ	3358	;line width status btn text variable
RSC_LWidBtnFmt		equ	3359	;line width status btn text format
RSC_SelChgLW		equ	3360	;change LW selent dbox title
RSC_TooNew		equ	3361	;FCW file ver newer than program
RSC_AskLWidth		equ	3362	;LWIDTH prompt
RSC_Select1		equ	3363	;select entity prompt: single each
RSC_SelChgDS		equ	3364	;dbox ttl: select for chng dim sty
RSC_SelFront		equ	3365	;dbox ttl: select for front
RSC_SelDrag		equ	3366	;dbox ttl: select for drag
RSC_SelUngp		equ	3367	;dbox ttl: select for ungroup
RSC_szHTxtPos		equ	3368	;dim text horz: cen/left/right
RSC_StdIMNName		equ	3369	;std .IMN to load/reload (variable)
RSC_PartOldVer		equ	3370	;part is old version FCW

;	Added in FCW version 5.07:

RSC_SelTagN		equ	3371	;tag #
RSC_SelTagR		equ	3372	;through Tag #

;	Added in FCW version 5.09:

RSC_LoadM		equ	3373	;file to load
RSC_SaveM		equ	3374	;save as file
RSC_MacName		equ	3375	;current macro file name
RSC_SaveMacM		equ	3376	;save macros as file
RSC_RunApp		equ	3377	;application to run

RSC_PARYNC		equ	3378	;PARYM cmd # columns
RSC_PARYNR		equ	3379	;PARYM cmd # rows
RSC_CPARYNS		equ	3380	;CPARYM cmd # spokes
RSC_CPARYNR		equ	3381	;CPARYM cmd # rings
RSC_CPARYRD		equ	3382	;CPARYM cmd dist between rings
RSC_CPARYAD		equ	3383	;CPARYM cmd ang between spokes
RSC_WrPartName		equ	3384	;part name written
RSC_WMPartName		equ	3385	;WRITEM prompt
RSC_TWPrint		equ	3386	;Tx Window print menu cmd text
RSC_TWSave		equ	3387	;Tx Window save menu cmd text
RSC_TWSetup		equ	3388	;Tx window page setup cmd
RSC_REG_SymCatKey	equ	3389	;sym catalog key name
RSC_XPTypeLabel		equ	3390	;label for sel by type dialog
RSC_SymNBig		equ	3391	;SYM name is too long
RSC_Z3Dist		equ	3392	;3d zoom distance
RSC_Z3Ang		equ	3393	;3d zoom angle
RSC_Z3Move		equ	3394	;3d zoom deltas
RSC_Z3LFrom		equ	3395	;3d look from pt
RSC_Z3LAt		equ	3396	;3d look at pt
RSC_Z3LUp		equ	3397	;3d look up pt
RSC_Path3Name		equ	3398	;3d path entity name
RSC_Poly3Name		equ	3399	;3d poly entity name
RSC_Spline3Name		equ	3400	;3d spline entity name
RSC_SPoly3Name		equ	3401	;3d spoly entity name
RSC_Pause		equ	3402	;# seconds to pause
RSC_RenSymW		equ	3403	;rename symbol warning
RSC_NoUndoW		equ	3404	;no undo warning
RSC_PATitleA		equ	3405	;PA dlg title - adding
RSC_PAsmNameW		equ	3406	;PA name already in use
RSC_IntEnt1		equ	3407	;INT mod 1st entity prompt
RSC_StdDSName		equ	3408	;default dim style name
RSC_QDelDS		equ	3409	;want to del DStyle?
RSC_REG_PDName		equ	3410	;registry part dwg value name
RSC_REG_DWGSUName	equ	3411	;reg dwg options value name
RSC_ASaveAbout		equ	3412	;AutoSave XP about
RSC_ASaveWarn		equ	3413	;AutoSave save error warning
RSC_REG_ASave		equ	3414	;AutoSave Registry value name
RSC_ASaveMenu		equ	3415	;AutoSave Menu Text
RSC_SaveFN1		equ	3416	;restore file menu item 1
RSC_SaveFN2		equ	3417	;restore file menu item 2
RSC_SaveFN3		equ	3418	;restore file menu item 3
RSC_SaveFN4		equ	3419	;restore file menu item 4
RSC_REG_Clipboard	equ	3420	;registry clipboard value name
RSC_ActAbout		equ	3421	;action about box text
RSC_ActWin		equ	3422	;action hotspot win prompt
RSC_ActEName		equ	3423	;action entity name
RSC_ActionList		equ	3424	;action listing
RSC_ATTitle		equ	3425	;action dbox title
RSC_ActStatus		equ	3426	;action status prompt
RSC_HotSpot		equ	3427	;action hot spot pick
RSC_ActMenu		equ	3428	;action menu
RSC_PATitleE		equ	3429	;PA dlg title - editing
RSC_PADName		equ	3430	;PA dwg name dlg title
RSC_HelpNr		equ	3431	;help context # prompt
RSC_NoteNameW		equ	3432	;note name used warning
RSC_PAAbout		equ	3433	;print assembly about
RSC_LPRSpecs		equ	3434	;print assembly listing
RSC_LVSpec		equ	3435	;print assembly listing
RSC_LVMSpec		equ	3436	;print assembly listing
RSC_LVMSpecA		equ	3437	;print assembly listing
RSC_LVMSpecAW		equ	3438	;print assembly listing
RSC_LVSSpec		equ	3439	;print assembly listing
RSC_LVSSpecS		equ	3440	;print assembly listing
RSC_PAMenu		equ	3441	;print assembly menu
RSC_AskCatName		equ	3442	;ask symcat name
RSC_AboutSymCat		equ	3443	;about symcat xp
RSC_SymCatTitle		equ	3444	;symcat window title
RSC_CatBtnName		equ	3445	;catalog button title
;
RSC_TabMenu		equ	3446	;tablet menu
RSC_TabCal0R		equ	3447	;real area ll
RSC_TabCal1R		equ	3448	;real area ur
RSC_TabCal0M		equ	3449	;menu area ll
RSC_TabCal1M		equ	3450	;menu area ur
RSC_TabCal0S		equ	3451	;screen area ll
RSC_TabCal1S		equ	3452	;screen area ur
RSC_NoTablet		equ	3453	;tablet unavailable
RSC_TabNoCfg		equ	3454	;configuration not completed
RSC_TabColPrmp		equ	3455	;menu # columns
RSC_TabRowPrmp		equ	3456	;menu # rows
RSC_TabCalPrmp0		equ	3457	;calibrate dig pt 0
RSC_TabCalPrmp1		equ	3458	;calibrate dig pt 1
RSC_TabCalPrmp0V	equ	3459	;calibrate pt 0 coordinate
RSC_TabCalPrmp1V	equ	3460	;calibrate pt 1 coordinate
RSC_TabNeedCfg		equ	3461	;tablet need configuration
RSC_REG_TabName		equ	3462	;registry key for tab data
RSC_TabNoCal		equ	3463	;calibration not completed
RSC_TabNoOrtho		equ	3464	;cal pts must not be ortho

RSC_GFNTitle		equ	3465	;title for GFN opn/save dialog
RSC_AtribTag		equ	3466	;ATTRIBM tag text
RSC_AtribPrompt		equ	3467	;ATTRIBM prompt text
RSC_AtribValue		equ	3468	;ATTRIBM value text
RSC_AtribLocn		equ	3469	;ATTRIB(M) location point

XRSC_AboutText		equ	3470	;about box text
XRSC_DWGDesc		equ	3471	;file type description
XRSC_DWGType		equ	3472	;file type, ie: "DWG",0
XRSC_DXFDesc		equ	3473	;file type description
XRSC_DXFType		equ	3474	;file type, ie: "DXF",0
XRSC_InitErr		equ	3475	;error initializing AD2
XRSC_LoadErr		equ	3476	;error loading file
XRSC_MemErr		equ	3477	;error allocating memory
XRSC_SaveErr		equ	3478	;error saving file
XRSC_VerList		equ	3479	;save version # list

XRSC_FCDAboutText	equ	3480	;about box text
XRSC_FCDFileDesc	equ	3481	;file type description
XRSC_FCDFileType	equ	3482	;file type, ie: "FCD",0
;
XRSC_ECWAboutText	equ	3483	;about box text
XRSC_ECWFileDesc	equ	3484	;file type description
XRSC_ECWFileType	equ	3485	;file type, ie: "FCD",0
;
RSC_ActText		equ	3486	;actionM text prompt
RSC_OpenDoc		equ	3487	;opendoc prompt
;
RSC_DimLAt		equ	3488	;DIML 1st baseline at point
RSC_DimLAtN		equ	3489	;DIML next baseline at point
RSC_ODDynDel		equ	3490	;DIMO dynedit delete
RSC_ODDynIns		equ	3491	;DIMO dynedit insert
RSC_DynEdPath		equ	3492	;DYNEDIT Path/Poly
RSC_PEditPick		equ	3493	;PEDIT entity to pick
RSC_PAtDist		equ	3494	;PRL PRP ANG pt at[distance]
RSC_DBLN		equ	3495	;double line next point
RSC_SelBack		equ	3496	;sel ents to BACK
RSC_TrimE1		equ	3497	;trim between entity # 1
RSC_TrimE2		equ	3498	;trim between entity # 2
RSC_AboutDemo2		equ	3499	;ABOUT DEMO not timed out
RSC_DemoBox2		equ	3500	;DEMO splash after timeout
RSC_ActMenuD		equ	3501	;DEMO action menu
RSC_PAMenuD		equ	3502	;DEMO print assembly menu
RSC_DemoBox3		equ	3503	;DEMO intro box - always disab
RSC_MsgBoxTitle		equ	3504	;MSGBOX title prompt
RSC_MsgBoxText		equ	3505	;MSGBOX text prompt
RSC_Lock		equ	3506	;lock button locked
RSC_Unlock		equ	3507	;lock button unlocked
RSC_ListGroup		equ	3508	;group list start
RSC_ListGroupEnd	equ	3509	;group list end
RSC_ListGroupIncl	equ	3510	;group margin pad char
RSC_ListMPoly		equ	3511	;mpoly list start

RSC_REG_FCWKey2		equ	3512	;registry FCW key name (5.17+)
RSC_OldID		equ	3513	;old XPID
RSC_NewID		equ	3514	;new XPID
RSC_CHGXPID		equ	3515	;warning for CHGXPID
RSC_Extents		equ	3516	;Extents display
RSC_PreSel		equ	3517	;preselect entities
RSC_ExtTitle		equ	3518	;Extents cmd mbox title
RSC_DispP3D		equ	3519	;RD_Disp3 direct displacement prompt

RSC_TypePath2		equ	3520	;TYPE sel box path2 open no crv
RSC_TypePoly2		equ	3521	;TYPE sel box path2 close no crv
RSC_TypeSpline2		equ	3522	;TYPE sel box path2 spline open
RSC_TypeSPoly2		equ	3523	;TYPE sel box path2 spline cls
RSC_TypeBez2		equ	3524	;TYPE sel box path2 bezier

RSC_AskFNPat		equ	3525	;GFNOP/GFNSP pattern prompt
RSC_TemplM		equ	3526	;TEMPLATEM prompt
RSC_RotPt1		equ	3527	;Rotate Pt from
RSC_RotPt2		equ	3528	;Rotate Pt to
RSC_DSPECH		equ	3529	;DSPECH prompt
RSC_ASTYLEH		equ	3530	;ASTYLEH prompt
RSC_ASTYLEL		equ	3531	;ASTYLEL prompt

RSC_DEFSYMCAT		equ	3532	;default symbol catalog
RSC_DEFGUIDE		equ	3533	;default guide file

RSC_FontTitle		equ	3534	;font add property sheet title
RSC_Font0Pg		equ	3535	;font 0 tab title
RSC_Font1Pg		equ	3536	;font 1 tab title
RSC_Font2Pg		equ	3537	;font 2 tab title

RSC_XREFName		equ	3538	;XREF entity name
RSC_ListXREF		equ	3539	;List XREF Entity
RSC_SHXTitle		equ	3540	;SHX fonts dir dialog
RSC_REG_SHXDir		equ	3541	;SHX fonts dir regkey
RSC_SHXInvalid		equ	3542	;SHX unsupported type
RSC_NewGDE		equ	3543	;#NEW.GDE file name
RSC_PName		equ	3544	;7 letter product name

RSC_EdSymOK		equ	3545	;keep ed sym changes?
RSC_OwnerDLGone		equ	3546	;owner DL for EdSym gone

RSC_Wall2Name		equ	3547	;wall2 entity name
RSC_Wall2ListN		equ	3548	;wall2 list node
RSC_RoomCorner		equ	3549	;room2 1st corner
RSC_RoomCorner2		equ	3550	;room2 opposite corner
RSC_Wall2ListS		equ	3551	;wall2 list span
RSC_Wall1		equ	3552	;starting node of a wall
RSC_Wall2		equ	3553	;connected node of a wall
RSC_WallPk		equ	3554	;pick existing wall
RSC_WallThick		equ	3555	;wall thickness
RSC_CInError		equ	3556	;wall cut pick must be inside
RSC_CNSError		equ	3557	;wall cut not on same span
RSC_WallOffset		equ	3558	;wall offset distance
RSC_WallChgThick	equ	3559	;wall change thickness
RSC_WallPkN		equ	3560	;pick existing wall[new]

RSC_BrngPt		equ	3561	;BRNG mod point or dist prompt
RSC_REG_RKMnuName	equ	3562	;reg menu keyword
RSC_DefMenuName		equ	3563	;MENUD default menu name
RSC_NewDwgName		equ	3564	;name given by NEW cmd "(work)"
RSC_RotCen		equ	3565	;DYNROT(C) origin
RSC_SclCen		equ	3566	;DYNSCL(C) origin
RSC_NoClsWork		equ	3567	;can't close sep work window
RSC_CtrlPName		equ	3568	;control points entity name
RSC_CtrlPList		equ	3569	;control points list
RSC_NoteName		equ	3570	;note entity name
RSC_PASMName		equ	3571	;plot assembly name
RSC_NoCls1OV		equ	3572	;no close only overlay win
RSC_AboutDemo3		equ	3573	;always timed out demo

RSC_IBar5		equ	3574	;icon bar 5 name
RSC_IBar6		equ	3575	;icon bar 6 name
RSC_IBar7		equ	3576	;icon bar 7 name
RSC_IBar8		equ	3577	;icon bar 8 name
RSC_ChgLW		equ	3578	;change line width prompt
RSC_LayerTitle		equ	3579	;list layers title
RSC_AboutView		equ	3580	;ABOUT text - VIEW32
RSC_SaveVarsName	equ	3581	;SAVEVARS prompt
RSC_REG_BrowseName	equ	3582	;OPENPD/OPENND browse list
RSC_ZText		equ	3583	;ZTEXT prompt
RSC_GRFN		equ	3584	;GRFN path prompt
RSC_REG_BookmarkFile	equ	3585	;bookmark file reg keyname
RSC_DefBookmarkFile	equ	3586	;default bookmark file name
RSC_BookmarkType	equ	3587	;bookmark file type
RSC_BkmFltrs		equ	3588	;bookmark file filter
RSC_BkmLTitle		equ	3589	;bookmark file open dialog
RSC_BkmSTitle		equ	3590	;bookmark file save dialog
RSC_SearchResults	equ	3591	;search results bkmrk file name
RSC_SearchEmpty		equ	3592	;search found no matches
RSC_REG_SearchParms	equ	3593	;search parms reg key
RSC_DfltSrchParms	equ	3594	;default search parms image
RSC_AskExistErr		equ	3595	;bookmark file does not exist
RSC_REG_BookmarkData	equ	3596	;bookmark bin reg data
RSC_Searching		equ	3597	;searching status message
RSC_BadNewKey		equ	3598	;protect - bad new key
RSC_BadKeyMatch		equ	3599	;protect - bad key match
RSC_IsProtected		equ	3600	;protect - dwg is protected
RSC_CmdFlags		equ	3601	;protect - command flags
RSC_REG_ToolDir		equ	3602	;tools direction
RSC_DynPanOrg		equ	3603	;DYNPAN cmd origin
RSC_OrbCen		equ	3604	;DYNPAN orbit center
RSC_OrbDist		equ	3605	;DYNPAN orbit distance to center
RSC_3dCenter		equ	3606	;DYNPAN 3d center point
RSC_ActCmd		equ	3607	;ACT cmd prompt
RSC_LdSymDef		equ	3608	;LDSYMDEF prompt
RSC_SheetName		equ	3609	;prompt for SHEET name
RSC_SheetNameC		equ	3610	;prompt for SHEET name [common]
RSC_SheetAskDel		equ	3611	;ok to delete sheet
RSC_HideCurSht		equ	3612	;err- cant hide cur sheet
RSC_CommonSheet		equ	3613	;common sheet list box label
RSC_SheetNewErr		equ	3614	;error - sheet already exists
RSC_SelShCopy		equ	3615	;ents to copy to sheet
RSC_SelShMove		equ	3616	;ents to move to sheet
RSC_PrintSheetCB	equ	3617	;print sheet combobox init
RSC_ThkBtnTxt		equ	3618	;pen thickness status btn text var
RSC_ThkBtnFmt		equ	3619	;pen thickness status btn format
RSC_ChgPT		equ	3620	;change pen thickness
RSC_ChgC2		equ	3621	;change 2nd color
RSC_PThick		equ	3622	;pen thickness command
RSC_DwgBtnName		equ	3623	;symcat dwg button title
RSC_ListSheet		equ	3624	;sheet listing
RSC_SymCatCtrl		equ	3625	;symcat control flags
RSC_GClassA		equ	3626	;ang grid class name
RSC_GridAng		equ	3627	;ang grid brng to +X
RSC_NotAngGrid		equ	3628	;not ang grid
RSC_AboveEnt		equ	3629	;above entity pick
RSC_BelowEnt		equ	3630	;below entity pick
RSC_SSymOfst		equ	3631	;smart sym offset
RSC_PickA		equ	3632	;pick aperture prompt
RSC_PAMustSave		equ	3633	;print asm: new dwg must save first
RSC_NotNestCmd		equ	3634	;command is not nestable
RSC_CfgOptions		equ	3635	;configuration flags
RSC_LayerNameSp		equ	3636	;layer name starts with space
RSC_ChgSymClr		equ	3637	;CHANGESC prompt
RSC_IsCBB		equ	3638	;list color by block
RSC_REG_AddSelName	equ	3639	;bookmark add select prior name
RSC_OpenP2F		equ	3640	;print to file dlg title
RSC_P2FFltrs		equ	3641	;print to file filters
RSC_DaysLeft		equ	3642	;demo about days left
RSC_SelExtrude		equ	3643	;entities to extrude
RSC_Extrude1		equ	3644	;extrude vector start
RSC_Extrude2		equ	3645	;extrude vector end
RSC_ChgSymScl		equ	3646	;change symbols scale
RSC_Aborting		equ	3647	;aborting status message
RSC_NoDefPr		equ	3648	;no printer available warning
RSC_IndexPath		equ	3649	;prompt for index path
RSC_MColor		equ	3650	;marking color
RSC_XRefMissing		equ	3651	;XREF missing
RSC_InBufAdr		equ	3652	;LineBfr address
RSC_PrintMCen		equ	3653	;PRINTSM view center
RSC_PrintMSclP		equ	3654	;PRINTSM scale paper distance
RSC_PrintMSclD		equ	3655	;PRINTSM scale drawing distance
RSC_PrintMFlags		equ	3656	;PRINTxM flags
RSC_PrintMWin		equ	3657	;PRINTWM window corner 1
RSC_PrintMVName		equ	3658	;PRINTNM view name
RSC_PrintMYN		equ	3659	;PRINTxM confirm msg box text
RSC_NoSaveDL		equ	3660	;current DL doesn't allow save
RSC_GuideAbout		equ	3661	;XPGUIDE about text
RSC_XPEntAbout		equ	3662	;XPENT about text
RSC_BtnVis		equ	3663	;button visibility config
RSC_GClassX		equ	3664	;hex grid default struc
RSC_AskVSet		equ	3665	;VSETM prompt
RSC_SheetBtnFmt		equ	3666	;sheet status btn format
RSC_SheetBtnTxt		equ	3667	;sheet status btn text
RSC_REG_DWGSUName2	equ	3668	;reg xpdwg2 options value name
RSC_DemoFmt		equ	3669	;demo days left format
RSC_LockOut		equ	3670	;different demo lockout
RSC_Timeout		equ	3671	;demo has timed out warning
RSC_LSUReason1		equ	3672	;LSU error code
RSC_LSUReason2		equ	3673	;LSU error code
RSC_LSUReason3		equ	3674	;LSU error code
RSC_LSUReason4		equ	3675	;LSU error code
RSC_LSUReason5		equ	3676	;LSU error code
RSC_LSUReason6		equ	3677	;LSU error code
RSC_LSUReason7		equ	3678	;LSU error code
RSC_LSUReason8		equ	3679	;LSU error code
RSC_LSUReason9		equ	3680	;LSU error code
RSC_LSUReason10		equ	3681	;LSU error code
RSC_LSUReason11		equ	3682	;LSU error code
RSC_LSUReason12		equ	3683	;LSU error code
RSC_ShowURLPrompt	equ	3684	;SHOWURL cmd prompt
