;	===============================================================
;	SORT.CPY - Shell Sort Service
;	===============================================================
;	Copyright 1998 Evolution Computing
;	All rights reserved
;
;	Based on the Shell sort, as described in 
;		Practical Algorithms for Programmers
;		by John Binstock & John Rex
;		Addison-Wesley 4th ed 1977
;		Chapter 5, pg 190-193
;	===============================================================
.data
k9		dword	9
k3		dword	3
.code

ShellSort	Proc	stdcall,NrItems:dword,pList:dword,pRecComp:dword
		local	step:dword,hval:dword,ix:dword,temp:dword
		WENTRY

;	Calc initial value for hval

		mov	hval,1		;initial
hnxt:		mov	eax,NrItems	;stop when hval >NrItems/9
		mov	edx,0
		div	k9
		cmp	hval,eax
		jg	hrdy
		mov	eax,hval	;else hval=hval*3+1
		shl	eax,1
		add	eax,hval
		inc	eax
		mov	hval,eax
		jmp	hnxt
hrdy:

;	Loop thru successfully smaller hval's

lup1:		cmp	hval,0		;done?
		jle	done

;	Look at hval through NrItems items in array

		mov	eax,hval	;step=hval
		mov	step,eax
lup2:		mov	eax,step	;while step<NrItems
		cmp	eax,NrItems
		jge	nxlup1

;	Look to the left and find our spot

		mov	eax,step	;temp=pList[step]
		shl	eax,2
		add	eax,pList
		mov	eax,[eax]
		mov	temp,eax

		mov	eax,step	;initial test
		sub	eax,hval
		mov	ix,eax
lup3:		cmp	ix,0		;while ix>=0
		jl	fin3

		mov	eax,ix		;eax=pList[ix]
		shl	eax,2
		add	eax,pList
		mov	eax,[eax]

		push	eax		;compare records
		push	edx
		push	temp
		push	eax
		call	pRecComp
		mov	ebx,eax
		pop	edx
		pop	eax

		cmp	ebx,1		;test relationship
		jz	fin3		;ascending order sort

		mov	edx,eax		;pList[ix+hval]=pList[ix]
		mov	eax,ix
		add	eax,hval
		shl	eax,2
		add	eax,pList
		mov	[eax],edx

nxlup3:		mov	eax,ix		;ix=ix-hval
		sub	eax,hval
		mov	ix,eax
		jmp	lup3

;	Found position, insert original val from pList[step]

fin3:		mov	edx,eax		;pList[ix+hval]=temp
		mov	eax,ix
		add	eax,hval
		shl	eax,2
		add	eax,pList
		mov	edx,temp
		mov	[eax],edx

;	Next Look at hval through NrItems items in array

nxlup2:		inc	step		;try next item
		jmp	lup2

;	Next loop thru successfully smaller hvals

nxlup1:		mov	eax,hval	;hval=hval/3
		mov	edx,0
		div	k3
		mov	hval,eax
		jmp	lup1

done:		WEXIT
ShellSort	endp

