;	===============================================================
;	Tool Controls Constants & Structure
;	===============================================================
;	Copyright 1996 Evolution Computing
;	All rights reserved
;	Written by Mike Riddle 7-16-96
;	---------------------------------------------------------------

TAKE_L		equ	0		;take from left
TAKE_T		equ	1		;take from top
TAKE_R		equ	2		;take from right
TAKE_B		equ	3		;take from bottom
TAKE_N		equ	4		;take none - control disabled
TAKE_MASK	equ	7		;takde direction bits mask
TAKE_NOH	equ	8		;ctrl can not be horizontal
TAKE_NOV	equ	16		;ctrl can not be vertical
TAKE_SCAT	equ	32		;ctrl is the symbol catalog

TAKE		struc
Cleft		dword	0		;client RECT (read-only)
Ctop		dword	0
Cright		dword	0
Cbottom		dword	0
Fleft		dword	0		;take from RECT
Ftop		dword	0
Fright		dword	0
Fbottom		dword	0
Tleft		dword	0		;taken RECT (temp use)
Ttop		dword	0
TRight		dword	0
TBottom		dword	0
TxHgt		dword	0		;text height
hPWin		dword	0		;handle to parent window
		dword	0		;reserved, unused
		dword	0		;reserved, unused
ScrnRes		dword	0		;Screen resolution code
;					; 0 =  640 x 480
;					; 1 =  800 x 600
;					; 2 = 1024 x 768
;					; 3 = 1280 x 1024 or larger
TAKE		ends

CTRL		struc
hWin		dword	0		;handle to window
TDir		dword	0		;take direction
TName		dword	0		;tool name text/RSCID
TProc		dword	0		;tool service procedure
IID		dword	0		;instance id #
BList		dword	0		;button list adrs
IRec		dword	0		;instance record adrs
Stat		dword	1		;status 1=vis, 0=hide
CTRL		ends

TOOL		struc
rlen		dword	sizeof(TOOL)	;specific tool size here
hPWin		dword	0		;parent window handle
hTool		dword	0		;Tool window handle
Pleft		dword	0		;child window rectangle
Ptop		dword	0		;in parent window coordinates
Pright		dword	0
Pbottom		dword	0
wid		dword	0		;width (right-left+1)
hgt		dword	0		;height (bot-top+1)
left		dword	0		;child window rectangle
top		dword	0		;in repaint coordinates
right		dword	0
bottom		dword	0
ctrlp		dword	0		;adrs of CTRL struc
IID		dword	0		;instance id #
TOOL		ends

