////////////////// CXPTEST.C - FastCAD-32 C-language Test XP //////////
//
//	Written by Mike Riddle 5-16-98
//	(C)1998 Evolution Computing
//	All rights reserved
//
///////////////////////////////////////////////////////////////////////

#include <windows.h>
#include <xp.h>

#define XPID 0xF000

void XPCALL About(void);
void XPCALL CTEST(void);
void XPCALL CTEST2(void);

char CList[]="CTEST\0CTEST2\0\0";
PCMDPROC PList[]={About,CTEST,CTEST2};

XP MyXP = 
   { 0, CList, PList, 0, 0, 0, XPID, 0, 500, 0, 0, 500 };

/////////////  DllMain - XP initialization & Unload code //////////////

BOOL WINAPI DllMain (HINSTANCE hDLL, DWORD dwReason, LPVOID lpReserved)
{ switch (dwReason)
	{ case DLL_PROCESS_ATTACH:
		{
		MyXP.ModHdl=hDLL;
		_XPRegCmd(&MyXP);
		break;
		}
	  case DLL_PROCESS_DETACH:
		{
		_XPUnregCmd(&MyXP);
		break;
		}
	}
return TRUE;
}
////////////////////// CXPTEST.C About information ////////////////////

FORMST(MyAPkt,"CXPTEST commands:\n\n"
	   "\tCTEST - Test msg with #s\n"
	   "\tCTEST2 - Create line entities\n\0")

void XPCALL About (void)
{
	FormSt(&MyAPkt,RSC(FD_MsgBox));
}

/////////////////////////// CTEST XP command //////////////////////////

int tvar1=2011; int tvar2 = 10;

FORMSTPKT(MyFPkt,"XP Test Command\n!01\n!02\0",2)
	ITEMFMT(tvar1,FT_UDec4,FJ_Var,0,0)
	ITEMFMT(tvar2,FT_UDec4,FJ_Var,0,0)
	FORMSTEND

void XPCALL CTEST (void)
{
	FormSt(&MyFPkt,RSC(FD_MsgBox));
	CmdEnd();
}

/////////////////////////// CTEST2 XP command //////////////////////////

void XPCALL CTEST2B (int Result,int Result2,int Result3);
void XPCALL CTEST2C (int Result,int Result2,int Result3);

LINE2 BuildL = { sizeof(LINE2), ET_LINE2, 0, 0, 1, 1, 0, 0, 1, 0, 0, 0, 0.0,
		 0,0, 0.0, 1.0, 1.0 };

FORMST(lpszP1,"1st point:\0")

FORMST(lpszNext,"Next point:\0")

RDATA P1Req =
   { sizeof(RDATA), RD_2DC, NULL, RDF_C, (DWORD*)&BuildL.Line.p1,
     (DWORD*)&lpszP1, RDC_XH, CTEST2B, NULL, NULL, 0, NULL, 0};

RDATA P2Req =
   { sizeof(RDATA), RD_2DC, NULL, RDF_C, (DWORD*)&BuildL.Line.p2,
     (DWORD*)&lpszNext, RDC_RBAND, CTEST2C, NULL, NULL, 0, NULL, 0};

void XPCALL CTEST2 (void)
{
	ReqData(&P1Req);
}

void XPCALL CTEST2B (int Result,int Result2,int Result3)
{
	if (Result != X_OK) { CmdEnd(); return; }
	MarkUndoAdd();
	NewCsrOrg(BuildL.Line.p1.x,BuildL.Line.p1.y);
	ReqData(&P2Req);
}

void XPCALL CTEST2C (int Result,int Result2,int Result3)
{
	pENTREC pEntRec;

	if (Result != X_OK) { CmdEnd(); return; }
	GetCStuff(&BuildL.CStuff);
	pEntRec=DLApnd(NULL,(pENTREC)&BuildL);
	EDraw(pEntRec);
	BuildL.Line.p1.x=BuildL.Line.p2.x;
	BuildL.Line.p1.y=BuildL.Line.p2.y;
	NewCsrOrg(BuildL.Line.p1.x,BuildL.Line.p1.y);
	ReqData(&P2Req);
}
