;	===============================================================
;	I64.cpy - 64-bit integer amcros and definitions
;	===============================================================
;	Copyright 2007 Evolution Computing
;	All rights reserved
;	Written by Mike Riddle 3-28-2007
;	===============================================================

INT64		struct
lo			dword	0
hi			dword	0
INT64		ends

LOAD32		macro	v
			mov		eax,v
			cdq
			endm

LOAD64		macro	v
			mov		eax,dword ptr v
			mov		edx,dword ptr v+4
			endm
			
STORE64		macro	v
			mov		dword ptr v,eax
			mov		dword ptr v+4,edx
			endm

MOVE64		macro	d,s
			push	dword ptr s
			pop		dword ptr d
			push	dword ptr s+4
			pop		dword ptr d+4
			endm

ADD32		macro	v
			add		eax,dword ptr v
			adc		edx,0
			endm
			
ADD64		macro	v
			add		eax,dword ptr v
			adc		edx,dword ptr v+4
			endm

SUB32		macro	v
			sub		eax,dword ptr v
			sbb		edx,0
			endm
			
SUB64		macro	v
			sub		eax,dword ptr v
			sbb		edx,dword ptr v+4
			endm
	
MUL32		macro	v
			push	ecx
			mov		ecx,eax
			mov		eax,edx
			mul		dword ptr v
			xchg	eax,ecx
			mul		dword ptr v
			add		eax,ecx
			adc		edx,0
			pop		ecx	
			endm

;	limited range - quotent must fit in 32-bit integer

DIV32		macro	v
			div		dword ptr v
			cdq
			endm
								
;	===============================================================
