;	===============================================================
;	XPTEST2 - TEST XP Main program module
;	===============================================================
;	Copyright 1998 Evolution Computing
;	All rights reserved
;	Written by Mike Riddle 5-24-98
;	---------------------------------------------------------------
XPID		equ	0		;this modules' XP ID #
Main		equ	1		;this is the main module

		include	\fcw6\XP6DEV\XP.CPY
		Public	DllMain,s87
;	---------------------------------------------------------------
.data
XPVer		equ	versionNr
XPDef		XP	<0,clist,plist,0,0>

clist		sbyte	"ATEST",0,"ATEST2",0,"ATEST3",0,"ATEST4",0
		sbyte	"ATEST5",0,"ATEST6",0
		sbyte	0

plist		dword	About			;about this XP...
		dword	ATestCmd		;ATEST command
		dword	ATest2Cmd		;ATEST2 command
		dword	ATest3Cmd		;ATEST3 command
		dword	ATest4Cmd		;ATEST4 command
		dword	ATest5Cmd		;ATEST5 command
		dword	ATest6Cmd		;ATEST6 command
.code
;	===============================================================
;	DllMain - DLL Init/End processing procedure
;	===============================================================

DllMain		proc STDCALL,
		hInstDLL:DWORD,fdwReason:DWORD,lpvReserved:DWORD
		WENTRY
		cmp	fdwReason,DLL_PROCESS_ATTACH
		jz	init
		cmp	fdwReason,DLL_PROCESS_DETACH
		jz	atend
		mov	eax,1			;return TRUE
		WEXIT

;	Initialize this XP (do no output yet!)

init:		mov	eax,hInstDLL		;save instance handle
		mov	XPDef.ModHdl,eax
		SVC	XPRegCmd,<offset XPDef>	;connect module
		mov	eax,1			;return TRUE
		WEXIT

;	End using this XP

atend:
		SVC	XPUnregCmd,<offset XPDef>
		mov	eax,1			;return TRUE
		WEXIT
DllMain		endp

;	===============================================================
;	About - About this XP...
;	===============================================================
.data
APkt		dword	APktTxt
APktTxt		sbyte	"XPTEST.XP commands:",13,10,13,10
		sbyte	9,"ATEST - Show last ATEST2 coordinates",13
		db	9,"ATEST2 - Create Chained Lines",13
		db	9,"ATEST3 - Create Circle with Dynamic Cursor",13
		db	9,"ATEST4 - Create Circle with DYNTRAK",13
		db	9,"ATEST5 - Select and Move Entities",13
		db	9,"ATEST6 - Simple Test Dialog",13,0
.code

About		proc	STDCALL
		SVC	FormSt,<offset APkt>,FD_MsgBox
		ret
About		endp

;	===============================================================
;	ATEST command: Display data in a message box
;	===============================================================
.data
TPkt		dword	TPktTxt
		ItemFmt	<BuildL.X1,FT_2dC4,FJ_Var>
		ItemFmt	<BuildL.X2,FT_2dC4,FJ_Var>
TPktTxt		db	"XPTest2 Line Coordinates:",13,13
		db	"!01",13,"!02",13,0
tvar1		dword	2000
tvar2		dword	10
.code

ATestCmd	proc	STDCALL
		SVC	FormSt,<offset TPkt>,FD_MsgBox
		SVC	CmdEnd
		ret
ATestCmd	endp

;	===============================================================
;	ATEST2 command: Create line entities
;	===============================================================
.data
P1Req		RDATA	<,RD_2DC,,RDF_NONE,BuildL.X1,\
			lpszP1,RDC_XH,ATest2B>
lpszP1		LPSTR	szP1
szP1		db	"1st point:",0

P2Req		RDATA	<,RD_2DC,,RDF_NONE,BuildL.X2,\
			lpszNext,RDC_RBAND,ATest2C>
lpszNext	LPSTR	szNext
szNext		db	"Next point [done]:",0

BuildL		Line2	<>		;line entity
.code

ATest2Cmd	proc	STDCALL
		SVC	ReqData,<offset P1Req>
		ret
ATest2Cmd	endp

ATest2B		proc	stdcall
		cmp	eax,X_OK		;DAV?
		jnz	bad
		INVOKE	MarkUndoAdd		;Undo to here
		fld	BuildL.X1		;set origin
		fld	BuildL.Y1
		SVC	NewCsrOrg
		SVC	ReqData,<offset P2Req>	;make data request
		ret
bad:		call	CmdEnd			;next is new command
		ret
ATest2B		endp

ATest2C		proc	stdcall
		cmp	eax,X_OK		;DAV?
		jnz	bad
		SVC	GetCStuff,<offset BuildL>
		INVOKE	DLApnd,NULL,esi
		SVC	EDraw,eax		;draw it
		MOVED	BuildL.X1,BuildL.X2
		MOVED	BuildL.Y1,BuildL.Y2
		fld	BuildL.X1		;set origin
		fld	BuildL.Y1
		SVC	NewCsrOrg
		SVC	ReqData,<offset P2Req>	;chain draw
		ret
bad:		call	CmdEnd			;next is new command
		ret
ATest2C		endp

;	===============================================================
;	ATEST3 command: Create Circle with Dynamic Cursor
;	===============================================================
.data
CenReq		RDATA	<,RD_2DC,,RDF_NONE,BuildC.CenX,\
			lpszCen,RDC_XH,ATest3B>
lpszCen		LPSTR	szCen
szCen		db	"Center point:",0

POnReq		RDATA	<,RD_2DC,,RDF_NONE,PointOn,\
			lpszPOn,CirCsr,ATest3C>
lpszPOn		LPSTR	szPOn
szPOn		db	"Point on circle:",0

PointOn		GPnt2	<>		;point on circle
BuildC		Cir2	<>		;circle entity
.code

ATest3Cmd	proc	STDCALL
		SVC	ReqData,<offset CenReq>
		ret
ATest3Cmd	endp

ATest3B		proc	stdcall
		cmp	eax,X_OK		;DAV?
		jz	isok
		call	CmdEnd			;next is new command
		ret
isok:		INVOKE	MarkUndoAdd		;Undo to here
		SVC	ReqData,<offset POnReq>	;make data request
		ret
ATest3B		endp

ATest3C		proc	stdcall
		cmp	eax,X_OK		;DAV?
		jz	isok
		call	CmdEnd			;next is new command
		ret
isok:		fld	BuildC.CenX		;calcradius from points
		fld	BuildC.CenY
		fld	PointOn.X
		fld	PointOn.Y
		SVC	Dist2P
		fstp	BuildC.Radius
		SVC	GetCStuff,<offset BuildC> ;finish entity setup
		INVOKE	DLApnd,NULL,esi
		SVC	EDraw,eax		;draw it
		call	CmdEnd			;next is new command
		ret
ATest3C		endp

.data
CsrCir		GCir2	<>
.code

CirCsr		proc	stdcall
		fnmove	CsrCir.CenX,BuildC.CenX
		fnmove	CsrCir.CenY,BuildC.CenY
		fld	CsrCir.CenX
		fld	CsrCir.CenY
		SVC	Dist2P
		fstp	CsrCir.Radius
		SVC	DCir2,<offset CsrCir>
		mov	eax,RDC_XHOPT
		ret
CirCsr		endp

;	===============================================================
;	ATEST4 command: Create Circle with DynTrak
;	===============================================================
.data
CenReq4		RDATA	<,RD_2DC,,RDF_NONE,BuildC.CenX,\
			lpszCen,RDC_XH,ATest4B>

POnReq4		RDATA	<,RD_2DC,,RDF_NONE,PointOn,\
			lpszPOn,CirCsr4,ATest4C>
.code

ATest4Cmd	proc	STDCALL
		SVC	ReqData,<offset CenReq4>
		ret
ATest4Cmd	endp

ATest4B		proc	stdcall
		cmp	eax,X_OK		;DAV?
		jz	isok
		call	CmdEnd			;next is new command
		ret
isok:		INVOKE	MarkUndoAdd		;Undo to here
		fld	BuildC.CenX		;init DynTrak
		fld	BuildC.CenY
		fldz
		fldz
		mov	al,DN$Drag+DN$Dist
		mov	ah,DN$Dist
		SVC	InitDynTrak
		SVC	ReqData,<offset POnReq4> ;make data request
		ret
ATest4B		endp

ATest4C		proc	stdcall
		cmp	eax,X_OK		;DAV?
		jz	isok
		call	CmdEnd			;next is new command
		ret
isok:		fld	BuildC.CenX		;calc radius from points
		fld	BuildC.CenY
		fld	PointOn.X
		fld	PointOn.Y
		SVC	Dist2P
		fstp	BuildC.Radius
		SVC	GetCStuff,<offset BuildC> ;finish entity setup
		INVOKE	DLApnd,NULL,esi
		SVC	EDraw,eax		;draw it
		call	CmdEnd			;next is new command
		ret
ATest4C		endp

CirCsr4		proc	stdcall
		SVC	DynTrak
		fnmove	BuildC.CenX,DPak.X[edi]
		fnmove	BuildC.CenY,DPak.Y[edi]
		fnmove	BuildC.Radius,DPak.Dist[edi]
		mov	eax,0			;solid outline only
		SVC	DCir2,<offset BuildC.CenX>
		mov	eax,RDC_XHOPT
		ret
CirCsr4		endp

;	===============================================================
;	ATEST5 command: Select & Move Entities
;	===============================================================
.data
DispV		GPnt2	<>

A5ReqA		RDATA	<,RD_Pick,,0,0,\
			SelMovPkt,RDC_PICK,ATest5B>
SelMovPkt	LPSTR	szSelMove
szSelMove	db	"MOVE",0

A5ReqB		RDATA	<,RD_Disp,,0,DispV,\
			lpszMoveFrom,RDC_XH,ATest5C>
lpszMoveFrom	LPSTR	szMoveFrom
szMoveFrom	db	"Move from point:",0
.code

ATest5Cmd	proc	STDCALL
		SVC	ReqData,<offset A5ReqA>
		ret
ATest5Cmd	endp

ATest5B		proc	stdcall			;get move from point
		cmp	eax,X_OK		;ents selected?
		jz	ok
		SVC	CmdEnd
ok:		SVC	ReqData,<offset A5ReqB>
		ret
ATest5B		endp

TransRec	proc	stdcall,hDList:dword,pEntRec:dword,\
			parm1:dword,parm2:dword
		SVC	EUndraw,pEntRec		;undraw original
		INVOKE	DLClone,pEntRec		;make a copy
		SVC	ETran,eax		;move the copy
		SVC	EDraw			;draw the copy
SkipIt:		mov	eax,0			;continue scan
		ret
TransRec	endp

ATest5C		proc	stdcall			;do the move
		cmp	eax,X_OK		;point returned?
		je	ok
		SVC	AbortEdit
		ret
ok:		SVC	CTMI2			;build matrix...
		fld	DispV.X			;calc translation
		fld	DispV.Y
		SVC	CTMT2			;apply translation
		INVOKE	MarkUndo
		INVOKE	DLScan,NULL,ADDR TransRec,DLS_Edit,NULL,NULL
		SVC	CmdEnd			;start next command
		ret
ATest5C		endp

;	===============================================================
;	ATEST6 command: Sample Dialog Box
;	===============================================================
.data
CheckValue	dword	0
OldCheckValue	dword	0
ExitCode	dword	0
RBValue		dword	0
OldRBValue	dword	0
ListIdx		dword	2	;selected item in list box
OldListIdx	dword	0
CmbIdx		dword	4	;selected item in combo box
OldCmbIdx	dword	0

LstData		db	"Apples",0
		db	"Pears",0
		db	"Cantelope",0
		db	"Oranges",0
		db	"Bananas",0
		db	0

CmbData		db	"Red Beans",0
		db	"Peas",0
		db	"Carrots",0
		db	"Corn",0
		db	"Broccoli",0
		db	"Lima Beans",0
		db	0

TestPt		GPnt2	<1.0,2.0>
OldPt		GPnt2	<>

DlgXtPkt	dword	szDlgXt
		ItemFmt	<ExitCode,FT_Dec4,FJ_Var>
szDlgXt		db	"Dialog exit code = !01",13,0

MyDlg		label	byte
		DLG	"ATEST6DLG",0,0
		CHKCTL	200,0,0,CheckValue,1,NULL
		RBCTL	201,0,0,RBValue,1,NULL
		RBCTL	202,0,0,RBValue,2,NULL
		RBCTL	203,0,0,RBValue,3,NULL
		BTNCTL	204,0,0,AT6Btn204,NULL
		BTNCTL	205,0,0,AT6Btn205,NULL
		EDCTL	206,0,FT_2dC4,64,TestPt,NULL
		LSTCTL	207,0,0,ListIdx,LstData,NULL,NULL
		CMBCTL	208,0,0,CmbIdx,CmbData,NULL,NULL
		ENDDLG
.code

ATest6Cmd	proc	STDCALL
		MOVED	OldCheckValue,CheckValue
		MOVED	OldRBValue,RBValue
		MOVED	OldListIdx,ListIdx
		MOVED	OldCmbIdx,CmbIdx
		fmove	OldPt.X,TestPt.X
		fnmove	OldPt.Y,TestPt.Y

		SVC	XPDlog,<offset MyDlg>,XPDef.ModHdl
		mov	ExitCode,eax

		cmp	eax,IDOK		;unless the exit code is
		jz	done			;IDOK or IDCANCEL (those
		cmp	eax,IDCANCEL		; buttons caused dialog to
		jz	Cancel			; exit), show the exit code
		SVC	FormSt,<offset DlgXtPkt>,FD_MsgBox
		jmp	done			;then end command

Cancel:		MOVED	CheckValue,OldCheckValue ;CANCEL = undo any changes
		MOVED	RBValue,OldRBValue
		MOVED	ListIdx,OldListIdx
		MOVED	CmbIdx,OldCmbIdx
		fmove	TestPt.X,OldPt.X
		fnmove	TestPt.Y,OldPt.Y

done:		SVC	CmdEnd
		ret
ATest6Cmd	endp

;	Button 204 pressed callback

.data
lpsz204		dword	sz204
sz204		db	"Button 204 pressed.",0
.code

AT6Btn204	proc	stdcall
		WENTRY
		SVC	FormSt,<offset lpsz204>,FD_MsgBox
		mov	eax,0			;don't end dialog
		WEXIT
AT6Btn204	endp

;	Button 205 pressed callback

AT6Btn205	proc	stdcall
		WENTRY
		mov	eax,VCF_ENDDIALOG	;do exit the dialog
		WEXIT
AT6Btn205	endp

;	===============================================================
END
